format binary as 'bmp'

include 'bmp.ini'
include 'definitions.inc'

org 0
BMP.headers: 
BMFH BITMAPFILEHEADER 'BM',file_size,0,0,BMP.image 
BMIH BITMAPINFOHEADER sizeof.BITMAPINFOHEADER,WIDTH,HEIGHT,1,BPP,COMPRESSION,image_size,0,0,CLR_USED,0 
BMP.headers.end: 
BMP.data:
BMP.pallette:
  repeat INDEX_COUNT 
    if GRAYSCALE and (INDEX_COUNT-1) 
      val = 256*(%-1)/(INDEX_COUNT-1) 
      if val > 255 
        val = 255 
      end if 
      db val,val,val,0 
    end if ; here should be case of not GRAYSCALE pallette, standart colors for 4bit & 8 bit pallette described in ENUM_CLR 
  end repeat 
pallette_size = $ - BMP.pallette
BMP.image:
  repeat HEIGHT 
    y=%-1 
    repeat WIDTH 
      x=%-1            ; x_N(BPP)=PIX_RATE*N+x_0 

      x_0 =(8/BPP)-1   ; 1      
      if x_0<0         ; x_0(1) -  7 ,   x_0(4) -  1 
        x_0=0          ; x_0(24)=x_0(32) = -1 (0  -  ,      ) 
      end if 
      PIX_RATE = 8/BPP ;         
      if PIX_RATE<1    ; RATE(1)=8 -  8  
        PIX_RATE=1     ; RATE(4)=2 -  2  
      end if           ; RATE(24)=RATE(32)=~0 - ( )  
      COLOR = BGD_COLOR;-1

      ; ????? ?????????? ??????? ???? ?????????????? ??????? 
      ; macro ellipse ellipse_color,center,radius,our x, our y 
      ; if pixel x,y in ellipse color it by ellipse_color 
      ; & other figures ... 
      include 'draw.inc' ; COLOR modified here

      TMP_COLOR = TMP_COLOR shl BPP ; ???? ??????? - ???????? ???? ?? ????? ??? ?? ??????? 
      TMP_COLOR = (TMP_COLOR or (COLOR and COLOR_BPP_MASK)) and COLOR_TMP_MASK 
      ;========================================== 
      ;?????? ???????? ?? ????? 
      if x mod PIX_RATE = x_0 
         db TMP_COLOR and 0FFh 
         if BPP>8 
           db (TMP_COLOR shr 8) and 0FFh 
           if BPP>16 
             db (TMP_COLOR shr 16) and 0FFh 
             if BPP=32 
               db (TMP_COLOR shr 24) and 0FFh 
             end if 
           end if 
         end if 
      else if %=WIDTH 
        TMP_COLOR = TMP_COLOR shl (BPP*(PIX_RATE -(% mod PIX_RATE))) 
        db TMP_COLOR and 0FFh 
      end if 
      if %=WIDTH 
        RAW_ALIGN = (4-(($-BMP.image) mod 4)) mod 4 ;(As temp var not as color) 
        if (RAW_ALIGN) 
          db (RAW_ALIGN) dup (0) 
        end if 
      end if 
    end repeat 
  end repeat 
image_size = $ - BMP.image 
file.end: 
file_size = $




