include 'myESPprocSyntax.inc'

CF_HDROP			= 15
DVASPECT_CONTENT		= 1
TYMED_HGLOBAL			= 1
;COM errors
E_NOINTERFACE			= $80004002
E_POINTER			= $80004003
E_FAIL				= $80004005
CLASS_E_NOAGGREGATION		= $80040110
CLASS_E_CLASSNOTAVAILABLE	= $80040111
SELFREG_E_CLASS 		= $80040201
E_OUTOFMEMORY			= $8007000E
E_INVALIDARG			= $80070057
HEAP_NO_SERIALIZE		= 1

macro precmpGUID {
	push	esi
	push	edi }

macro postcmpGUID {
	pop	edi
	pop	esi }

macro cmpGUID A, B {
	mov	esi, A
	mov	edi, B
	mov	ecx, 4
	repe	cmpsd }

macro prepare dummy,[arg]
 { common
	if ~ arg eq
   reverse
		pushd arg
   common
	end if }

macro unstack dummy,[arg]
 { common local counter
	if ~ arg eq
		counter = 0
   forward
		counter = counter + 1
   common
		add	esp, counter*4
	end if }

struct current_COMobject
	CM		IContextMenu
	SE		IShellExtInit
	RefCount	dd ?
	lpFileName	dd ?
ends