
struct IMAGE_DATA_DIRECTORY
	VirtualAddress		dd ?
	Size			dd ?
ends

struct IMAGE_DATA_DIRECTORIES
	ExportDataDirectory		IMAGE_DATA_DIRECTORY
	ImportDataDirectory		IMAGE_DATA_DIRECTORY
	ResourceDataDirectory		IMAGE_DATA_DIRECTORY
	ExeptionDataDirectory		IMAGE_DATA_DIRECTORY
	CertificateDataDirectory	IMAGE_DATA_DIRECTORY
	BaseRelocDataDirectory		IMAGE_DATA_DIRECTORY
	DebugInfoDataDirectory		IMAGE_DATA_DIRECTORY
	ArchitectureDataDirectory	IMAGE_DATA_DIRECTORY
	GlobarPtrDataDirectory		IMAGE_DATA_DIRECTORY
	TLSDataDirectory		IMAGE_DATA_DIRECTORY
	LoadConfigDataDirectory 	IMAGE_DATA_DIRECTORY
	BoundImportDataDirectory	IMAGE_DATA_DIRECTORY
	IATDataDirectory		IMAGE_DATA_DIRECTORY
	DelayImportDataDirectory	IMAGE_DATA_DIRECTORY
	CLRDataDirectory		IMAGE_DATA_DIRECTORY
	Reserved			IMAGE_DATA_DIRECTORY
ends



struct IMAGE_FILE_HEADER
	Machine 		dw ?
	NumberOfSections	dw ?
	TimeDateStamp		dd ?
	PointerToSymbolTable	dd ?
	NumberOfSymbols 	dd ?
	SizeOfOptionalHeader	dw ?
	Characteristics 	dw ?
ends

struct IMAGE_OPTIONAL_HEADER32
	Magic				dw ?
	MajorLinkerVersion		db ?
	MinorLinkerVersion		db ?
	SizeOfCode			dd ?
	SizeOfInitializedData		dd ?
	SizeOfUninitializedData 	dd ?
	AddressOfEntryPoint		dd ?
	BaseOfCode			dd ?
	BaseOfData			dd ?
	ImageBase			dd ?
	SectionAlignment		dd ?
	FileAlignment			dd ?
	MajorOperatingSystemVersion	dw ?
	MinorOperatingSystemVersion	dw ?
	MajorImageVersion		dw ?
	MinorImageVersion		dw ?
	MajorSubsystemVersion		dw ?
	MinorSubsystemVersion		dw ?
	Win32VersionValue		dd ?
	SizeOfImage			dd ?
	SizeOfHeaders			dd ?
	CheckSum			dd ?
	Subsystem			dw ?
	DllCharacteristics		dw ?
	SizeOfStackReserve		dd ?
	SizeOfStackCommit		dd ?
	SizeOfHeapReserve		dd ?
	SizeOfHeapCommit		dd ?
	LoaderFlags			dd ?
	NumberOfRvaAndSizes		dd ?
	DataDirectory			IMAGE_DATA_DIRECTORIES
ends

struct IMAGE_NT_HEADERS
	Signature		dd 'PE'
	FileHeader		IMAGE_FILE_HEADER
	OptionalHeader		IMAGE_OPTIONAL_HEADER32
	PIMAGE_NT_HEADERS32	dd ?
ends