;library gdiplus,'gdiplus.dll'
import gdiplus,
	GdipAddPathArc, 					'GdipAddPathArc'					, \
	GdipAddPathArcI,					'GdipAddPathArcI'					, \
	GdipAddPathBezier,					'GdipAddPathBezier'					, \
	GdipAddPathBezierI,					'GdipAddPathBezierI'					, \
	GdipAddPathBeziers,					'GdipAddPathBeziers'					, \
	GdipAddPathBeziersI,					'GdipAddPathBeziersI'					, \
	GdipAddPathClosedCurve, 				'GdipAddPathClosedCurve'				, \
	GdipAddPathClosedCurve2,				'GdipAddPathClosedCurve2'				, \
	GdipAddPathClosedCurve2I,				'GdipAddPathClosedCurve2I'				, \
	GdipAddPathClosedCurveI,				'GdipAddPathClosedCurveI'				, \
	GdipAddPathCurve,					'GdipAddPathCurve'					, \
	GdipAddPathCurve2,					'GdipAddPathCurve2'					, \
	GdipAddPathCurve2I,					'GdipAddPathCurve2I'					, \
	GdipAddPathCurve3,					'GdipAddPathCurve3'					, \
	GdipAddPathCurve3I,					'GdipAddPathCurve3I'					, \
	GdipAddPathCurveI,					'GdipAddPathCurveI'					, \
	GdipAddPathEllipse,					'GdipAddPathEllipse'					, \
	GdipAddPathEllipseI,					'GdipAddPathEllipseI'					, \
	GdipAddPathLine,					'GdipAddPathLine'					, \
	GdipAddPathLine2,					'GdipAddPathLine2'					, \
	GdipAddPathLine2I,					'GdipAddPathLine2I'					, \
	GdipAddPathLineI,					'GdipAddPathLineI'					, \
	GdipAddPathPath,					'GdipAddPathPath'					, \
	GdipAddPathPie, 					'GdipAddPathPie'					, \
	GdipAddPathPieI,					'GdipAddPathPieI'					, \
	GdipAddPathPolygon,					'GdipAddPathPolygon'					, \
	GdipAddPathPolygonI,					'GdipAddPathPolygonI'					, \
	GdipAddPathRectangle,					'GdipAddPathRectangle'					, \
	GdipAddPathRectangleI,					'GdipAddPathRectangleI' 				, \
	GdipAddPathRectangles,					'GdipAddPathRectangles' 				, \
	GdipAddPathRectanglesI, 				'GdipAddPathRectanglesI'				, \
	GdipAddPathString,					'GdipAddPathString'					, \
	GdipAddPathStringI,					'GdipAddPathStringI'					, \
	GdipAlloc,						'GdipAlloc'						, \
	GdipBeginContainer,					'GdipBeginContainer'					, \
	GdipBeginContainer2,					'GdipBeginContainer2'					, \
	GdipBeginContainerI,					'GdipBeginContainerI'					, \
	GdipBitmapGetPixel,					'GdipBitmapGetPixel'					, \
	GdipBitmapLockBits,					'GdipBitmapLockBits'					, \
	GdipBitmapSetPixel,					'GdipBitmapSetPixel'					, \
	GdipBitmapSetResolution,				'GdipBitmapSetResolution'				, \
	GdipBitmapUnlockBits,					'GdipBitmapUnlockBits'					, \
	GdipClearPathMarkers,					'GdipClearPathMarkers'					, \
	GdipCloneBitmapArea,					'GdipCloneBitmapArea'					, \
	GdipCloneBitmapAreaI,					'GdipCloneBitmapAreaI'					, \
	GdipCloneBrush, 					'GdipCloneBrush'					, \
	GdipCloneCustomLineCap, 				'GdipCloneCustomLineCap'				, \
	GdipCloneFont,						'GdipCloneFont' 					, \
	GdipCloneFontFamily,					'GdipCloneFontFamily'					, \
	GdipCloneImage, 					'GdipCloneImage'					, \
	GdipCloneImageAttributes,				'GdipCloneImageAttributes'				, \
	GdipCloneMatrix,					'GdipCloneMatrix'					, \
	GdipClonePath,						'GdipClonePath' 					, \
	GdipClonePen,						'GdipClonePen'						, \
	GdipCloneRegion,					'GdipCloneRegion'					, \
	GdipCloneStringFormat,					'GdipCloneStringFormat' 				, \
	GdipClosePathFigure,					'GdipClosePathFigure'					, \
	GdipClosePathFigures,					'GdipClosePathFigures'					, \
	GdipCombineRegionPath,					'GdipCombineRegionPath' 				, \
	GdipCombineRegionRect,					'GdipCombineRegionRect' 				, \
	GdipCombineRegionRectI, 				'GdipCombineRegionRectI'				, \
	GdipCombineRegionRegion,				'GdipCombineRegionRegion'				, \
	GdipComment,						'GdipComment'						, \
	GdipCreateAdjustableArrowCap,				'GdipCreateAdjustableArrowCap'				, \
	GdipCreateBitmapFromDirectDrawSurface,			'GdipCreateBitmapFromDirectDrawSurface' 		, \
	GdipCreateBitmapFromFile,				'GdipCreateBitmapFromFile'				, \
	GdipCreateBitmapFromFileICM,				'GdipCreateBitmapFromFileICM'				, \
	GdipCreateBitmapFromGdiDib,				'GdipCreateBitmapFromGdiDib'				, \
	GdipCreateBitmapFromGraphics,				'GdipCreateBitmapFromGraphics'				, \
	GdipCreateBitmapFromHBITMAP,				'GdipCreateBitmapFromHBITMAP'				, \
	GdipCreateBitmapFromHICON,				'GdipCreateBitmapFromHICON'				, \
	GdipCreateBitmapFromResource,				'GdipCreateBitmapFromResource'				, \
	GdipCreateBitmapFromScan0,				'GdipCreateBitmapFromScan0'				, \
	GdipCreateBitmapFromStream,				'GdipCreateBitmapFromStream'				, \
	GdipCreateBitmapFromStreamICM,				'GdipCreateBitmapFromStreamICM' 			, \
	GdipCreateCachedBitmap, 				'GdipCreateCachedBitmap'				, \
	GdipCreateCustomLineCap,				'GdipCreateCustomLineCap'				, \
	GdipCreateFont, 					'GdipCreateFont'					, \
	GdipCreateFontFamilyFromName,				'GdipCreateFontFamilyFromName'				, \
	GdipCreateFontFromDC,					'GdipCreateFontFromDC'					, \
	GdipCreateFontFromLogfontA,				'GdipCreateFontFromLogfontA'				, \
	GdipCreateFontFromLogfontW,				'GdipCreateFontFromLogfontW'				, \
	GdipCreateFromHDC,					'GdipCreateFromHDC'					, \
	GdipCreateFromHDC2,					'GdipCreateFromHDC2'					, \
	GdipCreateFromHWND,					'GdipCreateFromHWND'					, \
	GdipCreateFromHWNDICM,					'GdipCreateFromHWNDICM' 				, \
	GdipCreateHBITMAPFromBitmap,				'GdipCreateHBITMAPFromBitmap'				, \
	GdipCreateHICONFromBitmap,				'GdipCreateHICONFromBitmap'				, \
	GdipCreateHalftonePalette,				'GdipCreateHalftonePalette'				, \
	GdipCreateHatchBrush,					'GdipCreateHatchBrush'					, \
	GdipCreateImageAttributes,				'GdipCreateImageAttributes'				, \
	GdipCreateLineBrush,					'GdipCreateLineBrush'					, \
	GdipCreateLineBrushFromRect,				'GdipCreateLineBrushFromRect'				, \
	GdipCreateLineBrushFromRectI,				'GdipCreateLineBrushFromRectI'				, \
	GdipCreateLineBrushFromRectWithAngle,			'GdipCreateLineBrushFromRectWithAngle'			, \
	GdipCreateLineBrushFromRectWithAngleI,			'GdipCreateLineBrushFromRectWithAngleI' 		, \
	GdipCreateLineBrushI,					'GdipCreateLineBrushI'					, \
	GdipCreateMatrix,					'GdipCreateMatrix'					, \
	GdipCreateMatrix2,					'GdipCreateMatrix2'					, \
	GdipCreateMatrix3,					'GdipCreateMatrix3'					, \
	GdipCreateMatrix3I,					'GdipCreateMatrix3I'					, \
	GdipCreateMetafileFromEmf,				'GdipCreateMetafileFromEmf'				, \
	GdipCreateMetafileFromFile,				'GdipCreateMetafileFromFile'				, \
	GdipCreateMetafileFromStream,				'GdipCreateMetafileFromStream'				, \
	GdipCreateMetafileFromWmf,				'GdipCreateMetafileFromWmf'				, \
	GdipCreateMetafileFromWmfFile,				'GdipCreateMetafileFromWmfFile' 			, \
	GdipCreatePath, 					'GdipCreatePath'					, \
	GdipCreatePath2,					'GdipCreatePath2'					, \
	GdipCreatePath2I,					'GdipCreatePath2I'					, \
	GdipCreatePathGradient, 				'GdipCreatePathGradient'				, \
	GdipCreatePathGradientFromPath, 			'GdipCreatePathGradientFromPath'			, \
	GdipCreatePathGradientI,				'GdipCreatePathGradientI'				, \
	GdipCreatePathIter,					'GdipCreatePathIter'					, \
	GdipCreatePen1, 					'GdipCreatePen1'					, \
	GdipCreatePen2, 					'GdipCreatePen2'					, \
	GdipCreateRegion,					'GdipCreateRegion'					, \
	GdipCreateRegionHrgn,					'GdipCreateRegionHrgn'					, \
	GdipCreateRegionPath,					'GdipCreateRegionPath'					, \
	GdipCreateRegionRect,					'GdipCreateRegionRect'					, \
	GdipCreateRegionRectI,					'GdipCreateRegionRectI' 				, \
	GdipCreateRegionRgnData,				'GdipCreateRegionRgnData'				, \
	GdipCreateSolidFill,					'GdipCreateSolidFill'					, \
	GdipCreateStreamOnFile, 				'GdipCreateStreamOnFile'				, \
	GdipCreateStringFormat, 				'GdipCreateStringFormat'				, \
	GdipCreateTexture,					'GdipCreateTexture'					, \
	GdipCreateTexture2,					'GdipCreateTexture2'					, \
	GdipCreateTexture2I,					'GdipCreateTexture2I'					, \
	GdipCreateTextureIA,					'GdipCreateTextureIA'					, \
	GdipCreateTextureIAI,					'GdipCreateTextureIAI'					, \
	GdipDeleteBrush,					'GdipDeleteBrush'					, \
	GdipDeleteCachedBitmap, 				'GdipDeleteCachedBitmap'				, \
	GdipDeleteCustomLineCap,				'GdipDeleteCustomLineCap'				, \
	GdipDeleteFont, 					'GdipDeleteFont'					, \
	GdipDeleteFontFamily,					'GdipDeleteFontFamily'					, \
	GdipDeleteGraphics,					'GdipDeleteGraphics'					, \
	GdipDeleteMatrix,					'GdipDeleteMatrix'					, \
	GdipDeletePath, 					'GdipDeletePath'					, \
	GdipDeletePathIter,					'GdipDeletePathIter'					, \
	GdipDeletePen,						'GdipDeletePen' 					, \
	GdipDeletePrivateFontCollection,			'GdipDeletePrivateFontCollection'			, \
	GdipDeleteRegion,					'GdipDeleteRegion'					, \
	GdipDeleteStringFormat, 				'GdipDeleteStringFormat'				, \
	GdipDisposeImage,					'GdipDisposeImage'					, \
	GdipDisposeImageAttributes,				'GdipDisposeImageAttributes'				, \
	GdipDrawArc,						'GdipDrawArc'						, \
	GdipDrawArcI,						'GdipDrawArcI'						, \
	GdipDrawBezier, 					'GdipDrawBezier'					, \
	GdipDrawBezierI,					'GdipDrawBezierI'					, \
	GdipDrawBeziers,					'GdipDrawBeziers'					, \
	GdipDrawBeziersI,					'GdipDrawBeziersI'					, \
	GdipDrawCachedBitmap,					'GdipDrawCachedBitmap'					, \
	GdipDrawClosedCurve,					'GdipDrawClosedCurve'					, \
	GdipDrawClosedCurve2,					'GdipDrawClosedCurve2'					, \
	GdipDrawClosedCurve2I,					'GdipDrawClosedCurve2I' 				, \
	GdipDrawClosedCurveI,					'GdipDrawClosedCurveI'					, \
	GdipDrawCurve,						'GdipDrawCurve' 					, \
	GdipDrawCurve2, 					'GdipDrawCurve2'					, \
	GdipDrawCurve2I,					'GdipDrawCurve2I'					, \
	GdipDrawCurve3, 					'GdipDrawCurve3'					, \
	GdipDrawCurve3I,					'GdipDrawCurve3I'					, \
	GdipDrawCurveI, 					'GdipDrawCurveI'					, \
	GdipDrawDriverString,					'GdipDrawDriverString'					, \
	GdipDrawEllipse,					'GdipDrawEllipse'					, \
	GdipDrawEllipseI,					'GdipDrawEllipseI'					, \
	GdipDrawImage,						'GdipDrawImage' 					, \
	GdipDrawImageI, 					'GdipDrawImageI'					, \
	GdipDrawImagePointRect, 				'GdipDrawImagePointRect'				, \
	GdipDrawImagePointRectI,				'GdipDrawImagePointRectI'				, \
	GdipDrawImagePoints,					'GdipDrawImagePoints'					, \
	GdipDrawImagePointsI,					'GdipDrawImagePointsI'					, \
	GdipDrawImagePointsRect,				'GdipDrawImagePointsRect'				, \
	GdipDrawImagePointsRectI,				'GdipDrawImagePointsRectI'				, \
	GdipDrawImageRect,					'GdipDrawImageRect'					, \
	GdipDrawImageRectI,					'GdipDrawImageRectI'					, \
	GdipDrawImageRectRect,					'GdipDrawImageRectRect' 				, \
	GdipDrawImageRectRectI, 				'GdipDrawImageRectRectI'				, \
	GdipDrawLine,						'GdipDrawLine'						, \
	GdipDrawLineI,						'GdipDrawLineI' 					, \
	GdipDrawLines,						'GdipDrawLines' 					, \
	GdipDrawLinesI, 					'GdipDrawLinesI'					, \
	GdipDrawPath,						'GdipDrawPath'						, \
	GdipDrawPie,						'GdipDrawPie'						, \
	GdipDrawPieI,						'GdipDrawPieI'						, \
	GdipDrawPolygon,					'GdipDrawPolygon'					, \
	GdipDrawPolygonI,					'GdipDrawPolygonI'					, \
	GdipDrawRectangle,					'GdipDrawRectangle'					, \
	GdipDrawRectangleI,					'GdipDrawRectangleI'					, \
	GdipDrawRectangles,					'GdipDrawRectangles'					, \
	GdipDrawRectanglesI,					'GdipDrawRectanglesI'					, \
	GdipDrawString, 					'GdipDrawString'					, \
	GdipEmfToWmfBits,					'GdipEmfToWmfBits'					, \
	GdipEndContainer,					'GdipEndContainer'					, \
	GdipEnumerateMetafileDestPoint, 			'GdipEnumerateMetafileDestPoint'			, \
	GdipEnumerateMetafileDestPointI,			'GdipEnumerateMetafileDestPointI'			, \
	GdipEnumerateMetafileDestPoints,			'GdipEnumerateMetafileDestPoints'			, \
	GdipEnumerateMetafileDestPointsI,			'GdipEnumerateMetafileDestPointsI'			, \
	GdipEnumerateMetafileDestRect,				'GdipEnumerateMetafileDestRect' 			, \
	GdipEnumerateMetafileDestRectI, 			'GdipEnumerateMetafileDestRectI'			, \
	GdipEnumerateMetafileSrcRectDestPoint,			'GdipEnumerateMetafileSrcRectDestPoint' 		, \
	GdipEnumerateMetafileSrcRectDestPointI, 		'GdipEnumerateMetafileSrcRectDestPointI'		, \
	GdipEnumerateMetafileSrcRectDestPoints, 		'GdipEnumerateMetafileSrcRectDestPoints'		, \
	GdipEnumerateMetafileSrcRectDestPointsI,		'GdipEnumerateMetafileSrcRectDestPointsI'		, \
	GdipEnumerateMetafileSrcRectDestRect,			'GdipEnumerateMetafileSrcRectDestRect'			, \
	GdipEnumerateMetafileSrcRectDestRectI,			'GdipEnumerateMetafileSrcRectDestRectI' 		, \
	GdipFillClosedCurve,					'GdipFillClosedCurve'					, \
	GdipFillClosedCurve2,					'GdipFillClosedCurve2'					, \
	GdipFillClosedCurve2I,					'GdipFillClosedCurve2I' 				, \
	GdipFillClosedCurveI,					'GdipFillClosedCurveI'					, \
	GdipFillEllipse,					'GdipFillEllipse'					, \
	GdipFillEllipseI,					'GdipFillEllipseI'					, \
	GdipFillPath,						'GdipFillPath'						, \
	GdipFillPie,						'GdipFillPie'						, \
	GdipFillPieI,						'GdipFillPieI'						, \
	GdipFillPolygon,					'GdipFillPolygon'					, \
	GdipFillPolygon2,					'GdipFillPolygon2'					, \
	GdipFillPolygon2I,					'GdipFillPolygon2I'					, \
	GdipFillPolygonI,					'GdipFillPolygonI'					, \
	GdipFillRectangle,					'GdipFillRectangle'					, \
	GdipFillRectangleI,					'GdipFillRectangleI'					, \
	GdipFillRectangles,					'GdipFillRectangles'					, \
	GdipFillRectanglesI,					'GdipFillRectanglesI'					, \
	GdipFillRegion, 					'GdipFillRegion'					, \
	GdipFlattenPath,					'GdipFlattenPath'					, \
	GdipFlush,						'GdipFlush'						, \
	GdipFree,						'GdipFree'						, \
	GdipGetAdjustableArrowCapFillState,			'GdipGetAdjustableArrowCapFillState'			, \
	GdipGetAdjustableArrowCapHeight,			'GdipGetAdjustableArrowCapHeight'			, \
	GdipGetAdjustableArrowCapMiddleInset,			'GdipGetAdjustableArrowCapMiddleInset'			, \
	GdipGetAdjustableArrowCapWidth, 			'GdipGetAdjustableArrowCapWidth'			, \
	GdipGetAllPropertyItems,				'GdipGetAllPropertyItems'				, \
	GdipGetBrushType,					'GdipGetBrushType'					, \
	GdipGetCellAscent,					'GdipGetCellAscent'					, \
	GdipGetCellDescent,					'GdipGetCellDescent'					, \
	GdipGetClip,						'GdipGetClip'						, \
	GdipGetClipBounds,					'GdipGetClipBounds'					, \
	GdipGetClipBoundsI,					'GdipGetClipBoundsI'					, \
	GdipGetCompositingMode, 				'GdipGetCompositingMode'				, \
	GdipGetCompositingQuality,				'GdipGetCompositingQuality'				, \
	GdipGetCustomLineCapBaseCap,				'GdipGetCustomLineCapBaseCap'				, \
	GdipGetCustomLineCapBaseInset,				'GdipGetCustomLineCapBaseInset' 			, \
	GdipGetCustomLineCapStrokeCaps, 			'GdipGetCustomLineCapStrokeCaps'			, \
	GdipGetCustomLineCapStrokeJoin, 			'GdipGetCustomLineCapStrokeJoin'			, \
	GdipGetCustomLineCapType,				'GdipGetCustomLineCapType'				, \
	GdipGetCustomLineCapWidthScale, 			'GdipGetCustomLineCapWidthScale'			, \
	GdipGetDC,						'GdipGetDC'						, \
	GdipGetDpiX,						'GdipGetDpiX'						, \
	GdipGetDpiY,						'GdipGetDpiY'						, \
	GdipGetEmHeight,					'GdipGetEmHeight'					, \
	GdipGetEncoderParameterList,				'GdipGetEncoderParameterList'				, \
	GdipGetEncoderParameterListSize,			'GdipGetEncoderParameterListSize'			, \
	GdipGetFamily,						'GdipGetFamily' 					, \
	GdipGetFamilyName,					'GdipGetFamilyName'					, \
	GdipGetFontCollectionFamilyCount,			'GdipGetFontCollectionFamilyCount'			, \
	GdipGetFontCollectionFamilyList,			'GdipGetFontCollectionFamilyList'			, \
	GdipGetFontHeight,					'GdipGetFontHeight'					, \
	GdipGetFontHeightGivenDPI,				'GdipGetFontHeightGivenDPI'				, \
	GdipGetFontSize,					'GdipGetFontSize'					, \
	GdipGetFontStyle,					'GdipGetFontStyle'					, \
	GdipGetFontUnit,					'GdipGetFontUnit'					, \
	GdipGetGenericFontFamilyMonospace,			'GdipGetGenericFontFamilyMonospace'			, \
	GdipGetGenericFontFamilySansSerif,			'GdipGetGenericFontFamilySansSerif'			, \
	GdipGetGenericFontFamilySerif,				'GdipGetGenericFontFamilySerif' 			, \
	GdipGetHatchBackgroundColor,				'GdipGetHatchBackgroundColor'				, \
	GdipGetHatchForegroundColor,				'GdipGetHatchForegroundColor'				, \
	GdipGetHatchStyle,					'GdipGetHatchStyle'					, \
	GdipGetHemfFromMetafile,				'GdipGetHemfFromMetafile'				, \
	GdipGetImageAttributesAdjustedPalette,			'GdipGetImageAttributesAdjustedPalette' 		, \
	GdipGetImageBounds,					'GdipGetImageBounds'					, \
	GdipGetImageDecoders,					'GdipGetImageDecoders'					, \
	GdipGetImageDecodersSize,				'GdipGetImageDecodersSize'				, \
	GdipGetImageDimension,					'GdipGetImageDimension' 				, \
	GdipGetImageEncoders,					'GdipGetImageEncoders'					, \
	GdipGetImageEncodersSize,				'GdipGetImageEncodersSize'				, \
	GdipGetImageFlags,					'GdipGetImageFlags'					, \
	GdipGetImageGraphicsContext,				'GdipGetImageGraphicsContext'				, \
	GdipGetImageHeight,					'GdipGetImageHeight'					, \
	GdipGetImageHorizontalResolution,			'GdipGetImageHorizontalResolution'			, \
	GdipGetImagePalette,					'GdipGetImagePalette'					, \
	GdipGetImagePaletteSize,				'GdipGetImagePaletteSize'				, \
	GdipGetImagePixelFormat,				'GdipGetImagePixelFormat'				, \
	GdipGetImageRawFormat,					'GdipGetImageRawFormat' 				, \
	GdipGetImageThumbnail,					'GdipGetImageThumbnail' 				, \
	GdipGetImageType,					'GdipGetImageType'					, \
	GdipGetImageVerticalResolution, 			'GdipGetImageVerticalResolution'			, \
	GdipGetImageWidth,					'GdipGetImageWidth'					, \
	GdipGetInterpolationMode,				'GdipGetInterpolationMode'				, \
	GdipGetLineBlend,					'GdipGetLineBlend'					, \
	GdipGetLineBlendCount,					'GdipGetLineBlendCount' 				, \
	GdipGetLineColors,					'GdipGetLineColors'					, \
	GdipGetLineGammaCorrection,				'GdipGetLineGammaCorrection'				, \
	GdipGetLinePresetBlend, 				'GdipGetLinePresetBlend'				, \
	GdipGetLinePresetBlendCount,				'GdipGetLinePresetBlendCount'				, \
	GdipGetLineRect,					'GdipGetLineRect'					, \
	GdipGetLineRectI,					'GdipGetLineRectI'					, \
	GdipGetLineSpacing,					'GdipGetLineSpacing'					, \
	GdipGetLineTransform,					'GdipGetLineTransform'					, \
	GdipGetLineWrapMode,					'GdipGetLineWrapMode'					, \
	GdipGetLogFontA,					'GdipGetLogFontA'					, \
	GdipGetLogFontW,					'GdipGetLogFontW'					, \
	GdipGetMatrixElements,					'GdipGetMatrixElements' 				, \
	GdipGetMetafileDownLevelRasterizationLimit,		'GdipGetMetafileDownLevelRasterizationLimit'		, \
	GdipGetMetafileHeaderFromEmf,				'GdipGetMetafileHeaderFromEmf'				, \
	GdipGetMetafileHeaderFromFile,				'GdipGetMetafileHeaderFromFile' 			, \
	GdipGetMetafileHeaderFromMetafile,			'GdipGetMetafileHeaderFromMetafile'			, \
	GdipGetMetafileHeaderFromStream,			'GdipGetMetafileHeaderFromStream'			, \
	GdipGetMetafileHeaderFromWmf,				'GdipGetMetafileHeaderFromWmf'				, \
	GdipGetNearestColor,					'GdipGetNearestColor'					, \
	GdipGetPageScale,					'GdipGetPageScale'					, \
	GdipGetPageUnit,					'GdipGetPageUnit'					, \
	GdipGetPathData,					'GdipGetPathData'					, \
	GdipGetPathFillMode,					'GdipGetPathFillMode'					, \
	GdipGetPathGradientBlend,				'GdipGetPathGradientBlend'				, \
	GdipGetPathGradientBlendCount,				'GdipGetPathGradientBlendCount' 			, \
	GdipGetPathGradientCenterColor, 			'GdipGetPathGradientCenterColor'			, \
	GdipGetPathGradientCenterPoint, 			'GdipGetPathGradientCenterPoint'			, \
	GdipGetPathGradientCenterPointI,			'GdipGetPathGradientCenterPointI'			, \
	GdipGetPathGradientFocusScales, 			'GdipGetPathGradientFocusScales'			, \
	GdipGetPathGradientGammaCorrection,			'GdipGetPathGradientGammaCorrection'			, \
	GdipGetPathGradientPath,				'GdipGetPathGradientPath'				, \
	GdipGetPathGradientPointCount,				'GdipGetPathGradientPointCount' 			, \
	GdipGetPathGradientPresetBlend, 			'GdipGetPathGradientPresetBlend'			, \
	GdipGetPathGradientPresetBlendCount,			'GdipGetPathGradientPresetBlendCount'			, \
	GdipGetPathGradientRect,				'GdipGetPathGradientRect'				, \
	GdipGetPathGradientRectI,				'GdipGetPathGradientRectI'				, \
	GdipGetPathGradientSurroundColorCount,			'GdipGetPathGradientSurroundColorCount' 		, \
	GdipGetPathGradientSurroundColorsWithCount,		'GdipGetPathGradientSurroundColorsWithCount'		, \
	GdipGetPathGradientTransform,				'GdipGetPathGradientTransform'				, \
	GdipGetPathGradientWrapMode,				'GdipGetPathGradientWrapMode'				, \
	GdipGetPathLastPoint,					'GdipGetPathLastPoint'					, \
	GdipGetPathPoints,					'GdipGetPathPoints'					, \
	GdipGetPathPointsI,					'GdipGetPathPointsI'					, \
	GdipGetPathTypes,					'GdipGetPathTypes'					, \
	GdipGetPathWorldBounds, 				'GdipGetPathWorldBounds'				, \
	GdipGetPathWorldBoundsI,				'GdipGetPathWorldBoundsI'				, \
	GdipGetPenBrushFill,					'GdipGetPenBrushFill'					, \
	GdipGetPenColor,					'GdipGetPenColor'					, \
	GdipGetPenCompoundArray,				'GdipGetPenCompoundArray'				, \
	GdipGetPenCompoundCount,				'GdipGetPenCompoundCount'				, \
	GdipGetPenCustomEndCap, 				'GdipGetPenCustomEndCap'				, \
	GdipGetPenCustomStartCap,				'GdipGetPenCustomStartCap'				, \
	GdipGetPenDashArray,					'GdipGetPenDashArray'					, \
	GdipGetPenDashCap197819,				'GdipGetPenDashCap197819'				, \
	GdipGetPenDashCount,					'GdipGetPenDashCount'					, \
	GdipGetPenDashOffset,					'GdipGetPenDashOffset'					, \
	GdipGetPenDashStyle,					'GdipGetPenDashStyle'					, \
	GdipGetPenEndCap,					'GdipGetPenEndCap'					, \
	GdipGetPenFillType,					'GdipGetPenFillType'					, \
	GdipGetPenLineJoin,					'GdipGetPenLineJoin'					, \
	GdipGetPenMiterLimit,					'GdipGetPenMiterLimit'					, \
	GdipGetPenMode, 					'GdipGetPenMode'					, \
	GdipGetPenStartCap,					'GdipGetPenStartCap'					, \
	GdipGetPenTransform,					'GdipGetPenTransform'					, \
	GdipGetPenUnit, 					'GdipGetPenUnit'					, \
	GdipGetPenWidth,					'GdipGetPenWidth'					, \
	GdipGetPixelOffsetMode, 				'GdipGetPixelOffsetMode'				, \
	GdipGetPointCount,					'GdipGetPointCount'					, \
	GdipGetPropertyCount,					'GdipGetPropertyCount'					, \
	GdipGetPropertyIdList,					'GdipGetPropertyIdList' 				, \
	GdipGetPropertyItem,					'GdipGetPropertyItem'					, \
	GdipGetPropertyItemSize,				'GdipGetPropertyItemSize'				, \
	GdipGetPropertySize,					'GdipGetPropertySize'					, \
	GdipGetRegionBounds,					'GdipGetRegionBounds'					, \
	GdipGetRegionBoundsI,					'GdipGetRegionBoundsI'					, \
	GdipGetRegionData,					'GdipGetRegionData'					, \
	GdipGetRegionDataSize,					'GdipGetRegionDataSize' 				, \
	GdipGetRegionHRgn,					'GdipGetRegionHRgn'					, \
	GdipGetRegionScans,					'GdipGetRegionScans'					, \
	GdipGetRegionScansCount,				'GdipGetRegionScansCount'				, \
	GdipGetRegionScansI,					'GdipGetRegionScansI'					, \
	GdipGetRenderingOrigin, 				'GdipGetRenderingOrigin'				, \
	GdipGetSmoothingMode,					'GdipGetSmoothingMode'					, \
	GdipGetSolidFillColor,					'GdipGetSolidFillColor' 				, \
	GdipGetStringFormatAlign,				'GdipGetStringFormatAlign'				, \
	GdipGetStringFormatDigitSubstitution,			'GdipGetStringFormatDigitSubstitution'			, \
	GdipGetStringFormatFlags,				'GdipGetStringFormatFlags'				, \
	GdipGetStringFormatHotkeyPrefix,			'GdipGetStringFormatHotkeyPrefix'			, \
	GdipGetStringFormatLineAlign,				'GdipGetStringFormatLineAlign'				, \
	GdipGetStringFormatMeasurableCharacterRangeCount,	'GdipGetStringFormatMeasurableCharacterRangeCount'	, \
	GdipGetStringFormatTabStopCount,			'GdipGetStringFormatTabStopCount'			, \
	GdipGetStringFormatTabStops,				'GdipGetStringFormatTabStops'				, \
	GdipGetStringFormatTrimming,				'GdipGetStringFormatTrimming'				, \
	GdipGetTextContrast,					'GdipGetTextContrast'					, \
	GdipGetTextRenderingHint,				'GdipGetTextRenderingHint'				, \
	GdipGetTextureImage,					'GdipGetTextureImage'					, \
	GdipGetTextureTransform,				'GdipGetTextureTransform'				, \
	GdipGetTextureWrapMode, 				'GdipGetTextureWrapMode'				, \
	GdipGetVisibleClipBounds,				'GdipGetVisibleClipBounds'				, \
	GdipGetVisibleClipBoundsI,				'GdipGetVisibleClipBoundsI'				, \
	GdipGetWorldTransform,					'GdipGetWorldTransform' 				, \
	GdipGraphicsClear,					'GdipGraphicsClear'					, \
	GdipImageForceValidation,				'GdipImageForceValidation'				, \
	GdipImageGetFrameCount, 				'GdipImageGetFrameCount'				, \
	GdipImageGetFrameDimensionsCount,			'GdipImageGetFrameDimensionsCount'			, \
	GdipImageGetFrameDimensionsList,			'GdipImageGetFrameDimensionsList'			, \
	GdipImageRotateFlip,					'GdipImageRotateFlip'					, \
	GdipImageSelectActiveFrame,				'GdipImageSelectActiveFrame'				, \
	GdipInvertMatrix,					'GdipInvertMatrix'					, \
	GdipIsClipEmpty,					'GdipIsClipEmpty'					, \
	GdipIsEmptyRegion,					'GdipIsEmptyRegion'					, \
	GdipIsEqualRegion,					'GdipIsEqualRegion'					, \
	GdipIsInfiniteRegion,					'GdipIsInfiniteRegion'					, \
	GdipIsMatrixEqual,					'GdipIsMatrixEqual'					, \
	GdipIsMatrixIdentity,					'GdipIsMatrixIdentity'					, \
	GdipIsMatrixInvertible, 				'GdipIsMatrixInvertible'				, \
	GdipIsOutlineVisiblePathPoint,				'GdipIsOutlineVisiblePathPoint' 			, \
	GdipIsOutlineVisiblePathPointI, 			'GdipIsOutlineVisiblePathPointI'			, \
	GdipIsStyleAvailable,					'GdipIsStyleAvailable'					, \
	GdipIsVisibleClipEmpty, 				'GdipIsVisibleClipEmpty'				, \
	GdipIsVisiblePathPoint, 				'GdipIsVisiblePathPoint'				, \
	GdipIsVisiblePathPointI,				'GdipIsVisiblePathPointI'				, \
	GdipIsVisiblePoint,					'GdipIsVisiblePoint'					, \
	GdipIsVisiblePointI,					'GdipIsVisiblePointI'					, \
	GdipIsVisibleRect,					'GdipIsVisibleRect'					, \
	GdipIsVisibleRectI,					'GdipIsVisibleRectI'					, \
	GdipIsVisibleRegionPoint,				'GdipIsVisibleRegionPoint'				, \
	GdipIsVisibleRegionPointI,				'GdipIsVisibleRegionPointI'				, \
	GdipIsVisibleRegionRect,				'GdipIsVisibleRegionRect'				, \
	GdipIsVisibleRegionRectI,				'GdipIsVisibleRegionRectI'				, \
	GdipLoadImageFromFile,					'GdipLoadImageFromFile' 				, \
	GdipLoadImageFromFileICM,				'GdipLoadImageFromFileICM'				, \
	GdipLoadImageFromStream,				'GdipLoadImageFromStream'				, \
	GdipLoadImageFromStreamICM,				'GdipLoadImageFromStreamICM'				, \
	GdipMeasureCharacterRanges,				'GdipMeasureCharacterRanges'				, \
	GdipMeasureDriverString,				'GdipMeasureDriverString'				, \
	GdipMeasureString,					'GdipMeasureString'					, \
	GdipMultiplyLineTransform,				'GdipMultiplyLineTransform'				, \
	GdipMultiplyMatrix,					'GdipMultiplyMatrix'					, \
	GdipMultiplyPathGradientTransform,			'GdipMultiplyPathGradientTransform'			, \
	GdipMultiplyPenTransform,				'GdipMultiplyPenTransform'				, \
	GdipMultiplyTextureTransform,				'GdipMultiplyTextureTransform'				, \
	GdipMultiplyWorldTransform,				'GdipMultiplyWorldTransform'				, \
	GdipNewInstalledFontCollection, 			'GdipNewInstalledFontCollection'			, \
	GdipNewPrivateFontCollection,				'GdipNewPrivateFontCollection'				, \
	GdipPathIterCopyData,					'GdipPathIterCopyData'					, \
	GdipPathIterEnumerate,					'GdipPathIterEnumerate' 				, \
	GdipPathIterGetCount,					'GdipPathIterGetCount'					, \
	GdipPathIterGetSubpathCount,				'GdipPathIterGetSubpathCount'				, \
	GdipPathIterHasCurve,					'GdipPathIterHasCurve'					, \
	GdipPathIterIsValid,					'GdipPathIterIsValid'					, \
	GdipPathIterNextMarker, 				'GdipPathIterNextMarker'				, \
	GdipPathIterNextMarkerPath,				'GdipPathIterNextMarkerPath'				, \
	GdipPathIterNextPathType,				'GdipPathIterNextPathType'				, \
	GdipPathIterNextSubpath,				'GdipPathIterNextSubpath'				, \
	GdipPathIterNextSubpathPath,				'GdipPathIterNextSubpathPath'				, \
	GdipPathIterRewind,					'GdipPathIterRewind'					, \
	GdipPlayMetafileRecord, 				'GdipPlayMetafileRecord'				, \
	GdipPrivateAddFontFile, 				'GdipPrivateAddFontFile'				, \
	GdipPrivateAddMemoryFont,				'GdipPrivateAddMemoryFont'				, \
	GdipRecordMetafile,					'GdipRecordMetafile'					, \
	GdipRecordMetafileFileName,				'GdipRecordMetafileFileName'				, \
	GdipRecordMetafileFileNameI,				'GdipRecordMetafileFileNameI'				, \
	GdipRecordMetafileI,					'GdipRecordMetafileI'					, \
	GdipRecordMetafileStream,				'GdipRecordMetafileStream'				, \
	GdipRecordMetafileStreamI,				'GdipRecordMetafileStreamI'				, \
	GdipReleaseDC,						'GdipReleaseDC' 					, \
	GdipRemovePropertyItem, 				'GdipRemovePropertyItem'				, \
	GdipResetClip,						'GdipResetClip' 					, \
	GdipResetImageAttributes,				'GdipResetImageAttributes'				, \
	GdipResetLineTransform, 				'GdipResetLineTransform'				, \
	GdipResetPageTransform, 				'GdipResetPageTransform'				, \
	GdipResetPath,						'GdipResetPath' 					, \
	GdipResetPathGradientTransform, 			'GdipResetPathGradientTransform'			, \
	GdipResetPenTransform,					'GdipResetPenTransform' 				, \
	GdipResetTextureTransform,				'GdipResetTextureTransform'				, \
	GdipResetWorldTransform,				'GdipResetWorldTransform'				, \
	GdipRestoreGraphics,					'GdipRestoreGraphics'					, \
	GdipReversePath,					'GdipReversePath'					, \
	GdipRotateLineTransform,				'GdipRotateLineTransform'				, \
	GdipRotateMatrix,					'GdipRotateMatrix'					, \
	GdipRotatePathGradientTransform,			'GdipRotatePathGradientTransform'			, \
	GdipRotatePenTransform, 				'GdipRotatePenTransform'				, \
	GdipRotateTextureTransform,				'GdipRotateTextureTransform'				, \
	GdipRotateWorldTransform,				'GdipRotateWorldTransform'				, \
	GdipSaveAdd,						'GdipSaveAdd'						, \
	GdipSaveAddImage,					'GdipSaveAddImage'					, \
	GdipSaveGraphics,					'GdipSaveGraphics'					, \
	GdipSaveImageToFile,					'GdipSaveImageToFile'					, \
	GdipSaveImageToStream,					'GdipSaveImageToStream' 				, \
	GdipScaleLineTransform, 				'GdipScaleLineTransform'				, \
	GdipScaleMatrix,					'GdipScaleMatrix'					, \
	GdipScalePathGradientTransform, 			'GdipScalePathGradientTransform'			, \
	GdipScalePenTransform,					'GdipScalePenTransform' 				, \
	GdipScaleTextureTransform,				'GdipScaleTextureTransform'				, \
	GdipScaleWorldTransform,				'GdipScaleWorldTransform'				, \
	GdipSetAdjustableArrowCapFillState,			'GdipSetAdjustableArrowCapFillState'			, \
	GdipSetAdjustableArrowCapHeight,			'GdipSetAdjustableArrowCapHeight'			, \
	GdipSetAdjustableArrowCapMiddleInset,			'GdipSetAdjustableArrowCapMiddleInset'			, \
	GdipSetAdjustableArrowCapWidth, 			'GdipSetAdjustableArrowCapWidth'			, \
	GdipSetClipGraphics,					'GdipSetClipGraphics'					, \
	GdipSetClipHrgn,					'GdipSetClipHrgn'					, \
	GdipSetClipPath,					'GdipSetClipPath'					, \
	GdipSetClipRect,					'GdipSetClipRect'					, \
	GdipSetClipRectI,					'GdipSetClipRectI'					, \
	GdipSetClipRegion,					'GdipSetClipRegion'					, \
	GdipSetCompositingMode, 				'GdipSetCompositingMode'				, \
	GdipSetCompositingQuality,				'GdipSetCompositingQuality'				, \
	GdipSetCustomLineCapBaseCap,				'GdipSetCustomLineCapBaseCap'				, \
	GdipSetCustomLineCapBaseInset,				'GdipSetCustomLineCapBaseInset' 			, \
	GdipSetCustomLineCapStrokeCaps, 			'GdipSetCustomLineCapStrokeCaps'			, \
	GdipSetCustomLineCapStrokeJoin, 			'GdipSetCustomLineCapStrokeJoin'			, \
	GdipSetCustomLineCapWidthScale, 			'GdipSetCustomLineCapWidthScale'			, \
	GdipSetEmpty,						'GdipSetEmpty'						, \
	GdipSetImageAttributesCachedBackground, 		'GdipSetImageAttributesCachedBackground'		, \
	GdipSetImageAttributesColorKeys,			'GdipSetImageAttributesColorKeys'			, \
	GdipSetImageAttributesColorMatrix,			'GdipSetImageAttributesColorMatrix'			, \
	GdipSetImageAttributesGamma,				'GdipSetImageAttributesGamma'				, \
	GdipSetImageAttributesNoOp,				'GdipSetImageAttributesNoOp'				, \
	GdipSetImageAttributesOutputChannel,			'GdipSetImageAttributesOutputChannel'			, \
	GdipSetImageAttributesOutputChannelColorProfile,	'GdipSetImageAttributesOutputChannelColorProfile'	, \
	GdipSetImageAttributesRemapTable,			'GdipSetImageAttributesRemapTable'			, \
	GdipSetImageAttributesThreshold,			'GdipSetImageAttributesThreshold'			, \
	GdipSetImageAttributesToIdentity,			'GdipSetImageAttributesToIdentity'			, \
	GdipSetImageAttributesWrapMode, 			'GdipSetImageAttributesWrapMode'			, \
	GdipSetImagePalette,					'GdipSetImagePalette'					, \
	GdipSetInfinite,					'GdipSetInfinite'					, \
	GdipSetInterpolationMode,				'GdipSetInterpolationMode'				, \
	GdipSetLineBlend,					'GdipSetLineBlend'					, \
	GdipSetLineColors,					'GdipSetLineColors'					, \
	GdipSetLineGammaCorrection,				'GdipSetLineGammaCorrection'				, \
	GdipSetLineLinearBlend, 				'GdipSetLineLinearBlend'				, \
	GdipSetLinePresetBlend, 				'GdipSetLinePresetBlend'				, \
	GdipSetLineSigmaBlend,					'GdipSetLineSigmaBlend' 				, \
	GdipSetLineTransform,					'GdipSetLineTransform'					, \
	GdipSetLineWrapMode,					'GdipSetLineWrapMode'					, \
	GdipSetMatrixElements,					'GdipSetMatrixElements' 				, \
	GdipSetMetafileDownLevelRasterizationLimit,		'GdipSetMetafileDownLevelRasterizationLimit'		, \
	GdipSetPageScale,					'GdipSetPageScale'					, \
	GdipSetPageUnit,					'GdipSetPageUnit'					, \
	GdipSetPathFillMode,					'GdipSetPathFillMode'					, \
	GdipSetPathGradientBlend,				'GdipSetPathGradientBlend'				, \
	GdipSetPathGradientCenterColor, 			'GdipSetPathGradientCenterColor'			, \
	GdipSetPathGradientCenterPoint, 			'GdipSetPathGradientCenterPoint'			, \
	GdipSetPathGradientCenterPointI,			'GdipSetPathGradientCenterPointI'			, \
	GdipSetPathGradientFocusScales, 			'GdipSetPathGradientFocusScales'			, \
	GdipSetPathGradientGammaCorrection,			'GdipSetPathGradientGammaCorrection'			, \
	GdipSetPathGradientLinearBlend, 			'GdipSetPathGradientLinearBlend'			, \
	GdipSetPathGradientPath,				'GdipSetPathGradientPath'				, \
	GdipSetPathGradientPresetBlend, 			'GdipSetPathGradientPresetBlend'			, \
	GdipSetPathGradientSigmaBlend,				'GdipSetPathGradientSigmaBlend' 			, \
	GdipSetPathGradientSurroundColorsWithCount,		'GdipSetPathGradientSurroundColorsWithCount'		, \
	GdipSetPathGradientTransform,				'GdipSetPathGradientTransform'				, \
	GdipSetPathGradientWrapMode,				'GdipSetPathGradientWrapMode'				, \
	GdipSetPathMarker,					'GdipSetPathMarker'					, \
	GdipSetPenBrushFill,					'GdipSetPenBrushFill'					, \
	GdipSetPenColor,					'GdipSetPenColor'					, \
	GdipSetPenCompoundArray,				'GdipSetPenCompoundArray'				, \
	GdipSetPenCustomEndCap, 				'GdipSetPenCustomEndCap'				, \
	GdipSetPenCustomStartCap,				'GdipSetPenCustomStartCap'				, \
	GdipSetPenDashArray,					'GdipSetPenDashArray'					, \
	GdipSetPenDashCap197819,				'GdipSetPenDashCap197819'				, \
	GdipSetPenDashOffset,					'GdipSetPenDashOffset'					, \
	GdipSetPenDashStyle,					'GdipSetPenDashStyle'					, \
	GdipSetPenEndCap,					'GdipSetPenEndCap'					, \
	GdipSetPenLineCap197819,				'GdipSetPenLineCap197819'				, \
	GdipSetPenLineJoin,					'GdipSetPenLineJoin'					, \
	GdipSetPenMiterLimit,					'GdipSetPenMiterLimit'					, \
	GdipSetPenMode, 					'GdipSetPenMode'					, \
	GdipSetPenStartCap,					'GdipSetPenStartCap'					, \
	GdipSetPenTransform,					'GdipSetPenTransform'					, \
	GdipSetPenUnit, 					'GdipSetPenUnit'					, \
	GdipSetPenWidth,					'GdipSetPenWidth'					, \
	GdipSetPixelOffsetMode, 				'GdipSetPixelOffsetMode'				, \
	GdipSetPropertyItem,					'GdipSetPropertyItem'					, \
	GdipSetRenderingOrigin, 				'GdipSetRenderingOrigin'				, \
	GdipSetSmoothingMode,					'GdipSetSmoothingMode'					, \
	GdipSetSolidFillColor,					'GdipSetSolidFillColor' 				, \
	GdipSetStringFormatAlign,				'GdipSetStringFormatAlign'				, \
	GdipSetStringFormatDigitSubstitution,			'GdipSetStringFormatDigitSubstitution'			, \
	GdipSetStringFormatFlags,				'GdipSetStringFormatFlags'				, \
	GdipSetStringFormatHotkeyPrefix,			'GdipSetStringFormatHotkeyPrefix'			, \
	GdipSetStringFormatLineAlign,				'GdipSetStringFormatLineAlign'				, \
	GdipSetStringFormatMeasurableCharacterRanges,		'GdipSetStringFormatMeasurableCharacterRanges'		, \
	GdipSetStringFormatTabStops,				'GdipSetStringFormatTabStops'				, \
	GdipSetStringFormatTrimming,				'GdipSetStringFormatTrimming'				, \
	GdipSetTextContrast,					'GdipSetTextContrast'					, \
	GdipSetTextRenderingHint,				'GdipSetTextRenderingHint'				, \
	GdipSetTextureTransform,				'GdipSetTextureTransform'				, \
	GdipSetTextureWrapMode, 				'GdipSetTextureWrapMode'				, \
	GdipSetWorldTransform,					'GdipSetWorldTransform' 				, \
	GdipShearMatrix,					'GdipShearMatrix'					, \
	GdipStartPathFigure,					'GdipStartPathFigure'					, \
	GdipStringFormatGetGenericDefault,			'GdipStringFormatGetGenericDefault'			, \
	GdipStringFormatGetGenericTypographic,			'GdipStringFormatGetGenericTypographic' 		, \
	GdipTestControl,					'GdipTestControl'					, \
	GdipTransformMatrixPoints,				'GdipTransformMatrixPoints'				, \
	GdipTransformMatrixPointsI,				'GdipTransformMatrixPointsI'				, \
	GdipTransformPath,					'GdipTransformPath'					, \
	GdipTransformPoints,					'GdipTransformPoints'					, \
	GdipTransformPointsI,					'GdipTransformPointsI'					, \
	GdipTransformRegion,					'GdipTransformRegion'					, \
	GdipTranslateClip,					'GdipTranslateClip'					, \
	GdipTranslateClipI,					'GdipTranslateClipI'					, \
	GdipTranslateLineTransform,				'GdipTranslateLineTransform'				, \
	GdipTranslateMatrix,					'GdipTranslateMatrix'					, \
	GdipTranslatePathGradientTransform,			'GdipTranslatePathGradientTransform'			, \
	GdipTranslatePenTransform,				'GdipTranslatePenTransform'				, \
	GdipTranslateRegion,					'GdipTranslateRegion'					, \
	GdipTranslateRegionI,					'GdipTranslateRegionI'					, \
	GdipTranslateTextureTransform,				'GdipTranslateTextureTransform' 			, \
	GdipTranslateWorldTransform,				'GdipTranslateWorldTransform'				, \
	GdipVectorTransformMatrixPoints,			'GdipVectorTransformMatrixPoints'			, \
	GdipVectorTransformMatrixPointsI,			'GdipVectorTransformMatrixPointsI'			, \
	GdipWarpPath,						'GdipWarpPath'						, \
	GdipWidenPath,						'GdipWidenPath' 					, \
	GdipWindingModeOutline, 				'GdipWindingModeOutline'				, \
	GdiplusNotificationHook,				'GdiplusNotificationHook'				, \
	GdiplusNotificationUnhook,				'GdiplusNotificationUnhook'				, \
	GdiplusShutdown,					'GdiplusShutdown'					, \
	GdiplusStartup, 					'GdiplusStartup'