
; Version info signature
VS_FFI_STRUCTVERSION	= $FEEF04BD ; 1.0

; Struc version for version info
VS_FFI_STRUCTVERSION	= $00010000 ; 1.0

; File flags mask for version info
VS_FFI_FILEFLAGMASK	= $0000003F

; File flags for version info
VS_FF_DEBUG		= $00000001 ; file contain debug info
VS_FF_PRERELEASE	= $00000002 ; under development
VS_FF_PATCHED		= $00000004 ; not identical to original with same version
VS_FF_PRIVATEBUILD	= $00000008 ; assembled differently
VS_FF_INFOINFERRED	= $00000010 ; version info may be incorrect
VS_FF_SPECIALBUILD	= $00000020 ; branch

; OS types for version info
VOS_UNKNOWN		= $00000000
VOS_BASE		= $00000000
VOS__WINDOWS16		= $00000001
VOS__PM16		= $00000002 ; targeted to Presentation Manager (16 bit)
VOS__PM32		= $00000003 ; targeted to Presentation Manager (32 bit)
VOS__WINDOWS32		= $00000004
VOS_DOS 		= $00010000
VOS_DOS_WINDOWS16	= $00010001 ; targeted to Win16 subsistem under DOS
VOS_DOS_WINDOWS32	= $00010004 ; targeted to Win32 subsistem under DOS
VOS_OS216		= $00020000 ; targeted to OS/2 (16 bit)
VOS_OS216_PM16		= $00020002 ; targeted to OS/2 (16 bit) & Presentation Manager (16 bit)
VOS_OS232		= $00030000 ; targeted to OS/2 (32 bit)
VOS_OS232_PM32		= $00030003 ; targeted to OS/2 (32 bit) & Presentation Manager (32 bit)
VOS_NT			= $00040000 ; targeted to Windows NT(/2000)
VOS_NT_WINDOWS32	= $00040004 ; targeted to Windows NT(/2000)

; File types for version info
VFT_UNKNOWN		= $00000000
VFT_APP 		= $00000001
VFT_DLL 		= $00000002
VFT_DRV 		= $00000003
VFT_FONT		= $00000004
VFT_VXD 		= $00000005
VFT_STATIC_LIB		= $00000007

; Driver file subtypes for version info
VFT2_UNKNOWN		= $00000000
VFT2_DRV_PRINTER	= $00000001
VFT2_DRV_KEYBOARD	= $00000002
VFT2_DRV_LANGUAGE	= $00000003
VFT2_DRV_DISPLAY	= $00000004
VFT2_DRV_MOUSE		= $00000005
VFT2_DRV_NETWORK	= $00000006
VFT2_DRV_SYSTEM 	= $00000007
VFT2_DRV_INSTALLLABLE	= $00000008
VFT2_DRV_SOUND		= $00000009
VFT2_DRV_COMM		= $0000000A
VFT2_DRV_INPUTMETHOD	= $0000000B

; Font file subtypes for version info
;VFT2_UNKNOWN           = $00000000
VFT2_FONT_RASTER	= $00000001
VFT2_FONT_VECTOR	= $00000002
VFT2_FONT_TRUETYPE	= $00000003
