
; COMCTL32.DLL structures

struct PROPSHEETPAGE
  dwSize      dd ?
  dwFlags     dd ?
  hInstance   dq ?
  pszTemplate dq ?
  pszIcon     dq ?
  pszTitle    dq ?
  pfnDlgProc  dq ?
  lParam      dd ?,?
  pfnCallback dq ?
  pcRefParent dq ?
ends

struct PROPSHEETHEADER
  dwSize      dd ?
  dwFlags     dd ?
  hwndParent  dq ?
  hInstance   dq ?
  pszIcon     dq ?
  pszCaption  dq ?
  nPages      dd ?,?
  pStartPage  dq ?
  ppsp	      dq ?
  pfnCallback dq ?
ends

struct IMAGEINFO
  hbmImage dq ?
  hbmMask  dq ?
  Unused1  dd ?
  Unused2  dd ?
  rcImage  RECT
ends

struct HD_ITEM
  mask	     dd ?
  cxy	     dd ?
  pszText    dq ?
  hbm	     dq ?
  cchTextMax dd ?
  fmt	     dd ?
  lParam     dd ?
ends

struct HD_LAYOUT
  prc	dq ?
  pwpos dq ?
ends

struct HD_HITTESTINFO
  pt	POINT
  flags dd ?
  iItem dd ?
ends

struct HD_NOTIFY
  hdr	  NMHDR
  iItem   dd ?
  iButton dd ?
  pitem   dq ?
ends

struct TBBUTTON
  iBitmap   dd ?
  idCommand dd ?
  fsState   db ?
  fsStyle   db ?,6 dup ?
  dwData    dq ?
  iString   dq ?
ends

struct COLORMAP
  from dd ?
  to   dd ?
ends

struct TBADDBITMAP
  hInst dq ?
  nID	dd ?,?
ends

struct TBSAVEPARAMS
  hkr	       dq ?
  pszSubKey    dq ?
  pszValueName dq ?
ends

struct TBREPLACEBITMAP
  hInstOld dq ?
  nIDOld   dq ?
  hInstNew dq ?
  nIDNew   dq ?
  nButtons dq ?
ends

struct NMTOOLBAR
  hdr	   NMHDR
  iItem    dd ?
  tbButton TBBUTTON
  cchText  dd ?
  pszText  dq ?
ends

struct REBARINFO
  cbSize dd ?
  fMask  dd ?
  himl	 dq ?
ends

struct REBARBANDINFO
  cbSize      dd ?
  fMask       dd ?
  fStyle      dd ?
  clrFore     dd ?
  clrBack     dd ?,?
  lpText      dq ?
  cch	      dd ?
  iImage      dd ?
  hwndChild   dd ?
  cxMinChild  dd ?
  cyMinChild  dd ?
  cx	      dd ?
  hbmBack     dq ?
  wID	      dd ?
ends

struct TOOLINFO
  cbSize     dd ?
  uFlags     dd ?
  hwnd	     dq ?
  uId	     dq ?
  rect	     RECT
  hInst      dq ?
  lpszText   dq ?
  lParam     dq ?
  lpReserved dq ?
ends

struct TTHITTESTINFO
  hwnd dq ?
  pt   POINT
  ti   TOOLINFO
ends

struct TOOLTIPTEXT
  hdr	   NMHDR
  lpszText dq ?
  szText   db 80 dup (?)
  hinst    dq ?
  uFlags   dd ?
ends

struct UDACCEL
  nSec dd ?
  nInc dd ?
ends

struct NM_UPDOWN
  hdr	 NMHDR
  iPos	 dd ?
  iDelta dd ?
ends

struct LV_ITEM
  mask	     dd ?
  iItem      dd ?
  iSubItem   dd ?
  state      dd ?
  stateMask  dd ?,?
  pszText    dq ?
  cchTextMax dd ?
  iImage     dd ?
  lParam     dd ?
  iIndent    dd ?
ends

struct LV_FINDINFO
  flags       dd ?,?
  psz	      dq ?
  lParam      dq ?
  pt	      POINT
  vkDirection dd ?
ends

struct LV_HITTESTINFO
  pt	POINT
  flags dd ?
  iItem dd ?
ends

struct LV_COLUMN
  mask	     dd ?
  fmt	     dd ?
  cx	     dd ?,?
  pszText    dq ?
  cchTextMax dd ?
  iSubItem   dd ?
ends

struct NM_LISTVIEW
  hdr	    NMHDR
  iItem     dd ?
  iSubItem  dd ?
  uNewState dd ?
  uOldState dd ?
  uChanged  dd ?
  ptAction  POINT
	    dd ?
  lParam    dq ?
ends

struct NM_CACHEHINT
  hdr	NMHDR
  iFrom dd ?
  iTo	dd ?
ends

struct NM_FINDITEM
  hdr	 NMHDR
  iStart dd ?
  lvfi	 LV_FINDINFO
ends

struct LV_DISPINFO
  hdr  NMHDR
  item LV_ITEM
ends

struct LV_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct TV_ITEM
  mask		 dd ?,?
  hItem 	 dq ?
  state 	 dd ?
  stateMask	 dd ?
  pszText	 dq ?
  cchTextMax	 dd ?
  iImage	 dd ?
  iSelectedImage dd ?
  cChildren	 dd ?
  lParam	 dd ?
ends

struct TV_INSERTSTRUCT
  hParent      dq ?
  hInsertAfter dq ?
  item	       TV_ITEM
ends

struct TV_HITTESTINFO
  pt	POINT
  flags dd ?,?
  hItem dq ?
ends

struct TV_SORTCB
  hParent     dq ?
  lpfnCompare dq ?
  lParam      dq ?
ends

struct NM_TREEVIEW
  hdr	  NMHDR
  action  dd ?
  itemOld TV_ITEM
  itemNew TV_ITEM
  ptDrag  POINT
ends

struct TV_DISPINFO
  hdr  NMHDR
  item TV_ITEM
ends

struct TV_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct TC_ITEMHEADER
  mask	      dd ?
  lpReserved1 dd ?
  lpReserved2 dd ?,?
  pszText     dq ?
  cchTextMax  dd ?
  iImage      dd ?
ends

struct TC_ITEM
  mask	      dd ?
  lpReserved1 dd ?
  lpReserved2 dd ?,?
  pszText     dq ?
  cchTextMax  dd ?
  iImage      dd ?
  lParam      dd ?
ends

struct TC_HITTESTINFO
  pt	POINT
  flags dd ?
ends

struct TC_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct MC_HITTESTINFO
  cbSize dd ?
  pt	 POINT
  uHit	 dd ?
  st	 SYSTEMTIME
ends

struct NM_SELCHANGE
  nmhdr      NMHDR
  stSelStart SYSTEMTIME
  stSelEnd   SYSTEMTIME
ends

struct NM_DAYSTATE
  nmhdr       NMHDR
  stStart     SYSTEMTIME
  cDayState   dd ?
  prgDayState dd ?
ends

struct NM_DATETIMECHANGE
  nmhdr   NMHDR
  dwFlags dd ?
  st	  SYSTEMTIME
ends

struct NM_DATETIMESTRING
  nmhdr 	NMHDR
  pszUserString dq ?
  st		SYSTEMTIME
  dwFlags	dd ?
ends

struct NM_DATETIMEWMKEYDOWN
  nmhdr     NMHDR
  nVirtKey  dd ?,?
  pszFormat dq ?
  st	    SYSTEMTIME
ends

struct NM_DATETIMEFORMAT
  nmhdr      NMHDR
  pszFormat  dq ?
  st	     SYSTEMTIME
  pszDisplay dq ?
  szDisplay  db 64 dup (?)
ends

struct NM_DATETIMEFORMATQUERY
  nmhdr     NMHDR
  pszFormat dq ?
  szMax     SIZE
ends

struct INITCOMMONCONTROLSEX
  dwSize dd ?
  dwICC  dd ?
ends