
; DirectDraw structures

struct DDCOLORKEY
  dwColorSpaceLowValue	dd ?
  dwColorSpaceHighValue dd ?
ends

struct DDPIXELFORMAT
  dwSize	    dd ?
  dwFlags	    dd ?
  dwFourCC	    dd ?
 union
  dwRGBBitCount       dd ?
  dwYUVBitCount       dd ?
  dwZBufferBitDepth   dd ?
  dwAlphaBitDepth     dd ?
  dwLuminanceBitCount dd ?
  dwBumpBitCount      dd ?
 ends
 union
  dwRBitMask	      dd ?
  dwYBitMask	      dd ?
  dwStencilBitDepth   dd ?
  dwLuminanceBitMask  dd ?
  dwBumpDuBitMask     dd ?
 ends
 union
  dwGBitMask	      dd ?
  dwUBitMask	      dd ?
  dwZBitMask	      dd ?
  dwBumpDvBitMask     dd ?
 ends
 union
  dwBBitMask		 dd ?
  dwVBitMask		 dd ?
  dwStencilBitMask	 dd ?
  dwBumpLuminanceBitMask dd ?
 ends
 union
  dwRGBAlphaBitMask	  dd ?
  dwYUVAlphaBitMask	  dd ?
  dwLuminanceAlphaBitMask dd ?
  dwRGBZBitMask 	  dd ?
  dwYUVZBitMask 	  dd ?
 ends
ends

struct DDSCAPS
  dwCaps dd ?
ends

struct DDSURFACEDESC
  dwSize	    dd ?
  dwFlags	    dd ?
  dwHeight	    dd ?
  dwWidth	    dd ?
 union
  lPitch	    dd ?
  dwLinearSize	    dd ?
 ends
  dwBackBufferCount dd ?
 union
  dwMipMapCount     dd ?
  dwZBufferBitDepth dd ?
  dwRefreshRate     dd ?
 ends
  dwAlphaBitDepth   dd ?
  dwReserved	    dd ?,?
  lpSurface	    dq ?
  ddckCKDestOverlay DDCOLORKEY
  ddckCKDestBlt     DDCOLORKEY
  ddckCKSrcOverlay  DDCOLORKEY
  ddckCKSrcBlt	    DDCOLORKEY
  ddpfPixelFormat   DDPIXELFORMAT
  ddsCaps	    DDSCAPS
		    dd ?
ends