
; GDI32.DLL structures and constants

struct SIZE
  cx dd ?
  cy dd ?
ends

struct BITMAP
  bmType       dd ?
  bmWidth      dd ?
  bmHeight     dd ?
  bmWidthBytes dd ?
  bmPlanes     dw ?
  bmBitsPixel  dw ?,?,?
  bmBits       dq ?
ends

struct BITMAPCOREHEADER
  bcSize     dd ?
  bcWidth    dw ?
  bcHeight   dw ?
  bcPlanes   dw ?
  bcBitCount dw ?
ends

struct BITMAPINFOHEADER
  biSize	  dd ?
  biWidth	  dd ?
  biHeight	  dd ?
  biPlanes	  dw ?
  biBitCount	  dw ?
  biCompression   dd ?
  biSizeImage	  dd ?
  biXPelsPerMeter dd ?
  biYPelsPerMeter dd ?
  biClrUsed	  dd ?
  biClrImportant  dd ?
ends

struct BITMAPFILEHEADER
  bfType      dw ?
  bfSize      dd ?
  bfReserved1 dw ?
  bfReserved2 dw ?
  bfOffBits   dd ?
ends

struct TEXTMETRIC
  tmHeight	     dd ?
  tmAscent	     dd ?
  tmDescent	     dd ?
  tmInternalLeading  dd ?
  tmExternalLeading  dd ?
  tmAveCharWidth     dd ?
  tmMaxCharWidth     dd ?
  tmWeight	     dd ?
  tmOverhang	     dd ?
  tmDigitizedAspectX dd ?
  tmDigitizedAspectY dd ?
  tmFirstChar	     TCHAR ?
  tmLastChar	     TCHAR ?
  tmDefaultChar      TCHAR ?
  tmBreakChar	     TCHAR ?
  tmItalic	     db ?
  tmUnderlined	     db ?
  tmStruckOut	     db ?
  tmPitchAndFamily   db ?
  tmCharSet	     db ?
ends

struct LOGBRUSH
  lbStyle dd ?
  lbColor dd ?
  lbHatch dd ?
ends

struct LOGPEN
  lopnStyle dd ?
  lopnWidth POINT
  lopnColor dd ?
ends

struct EXTLOGPEN
  elpPenStyle	dd ?
  elpWidth	dd ?
  elpBrushStyle dd ?
  elpColor	dd ?
  elpHatch	dd ?
  elpNumEntries dd ?
  elpStyleEntry dd ?
ends

struct LOGFONT
  lfHeight	   dd ?
  lfWidth	   dd ?
  lfEscapement	   dd ?
  lfOrientation    dd ?
  lfWeight	   dd ?
  lfItalic	   db ?
  lfUnderline	   db ?
  lfStrikeOut	   db ?
  lfCharSet	   db ?
  lfOutPrecision   db ?
  lfClipPrecision  db ?
  lfQuality	   db ?
  lfPitchAndFamily db ?
  lfFaceName	   TCHAR 32 dup (?)
ends

struct ENUMLOGFONT
  elfLogFont  LOGFONT
  elfFullName TCHAR 64 dup (?)
  elfStyle    TCHAR 32 dup (?)
ends

struct ENUMLOGFONTEX
  elfLogFont  LOGFONT
  elfFullName TCHAR 64 dup (?)
  elfStyle    TCHAR 32 dup (?)
  elfScript   TCHAR 32 dup (?)
ends

struct PIXELFORMATDESCRIPTOR
  nSize 	  dw ?
  nVersion	  dw ?
  dwFlags	  dd ?
  iPixelType	  db ?
  cColorBits	  db ?
  cRedBits	  db ?
  cRedShift	  db ?
  cGreenBits	  db ?
  cGreenShift	  db ?
  cBlueBits	  db ?
  cBlueShift	  db ?
  cAlphaBits	  db ?
  cAlphaShift	  db ?
  cAccumBits	  db ?
  cAccumRedBits   db ?
  cAccumGreenBits db ?
  cAccumBlueBits  db ?
  cAccumAlphaBits db ?
  cDepthBits	  db ?
  cStencilBits	  db ?
  cAuxBuffers	  db ?
  iLayerType	  db ?
  bReserved	  db ?
  dwLayerMask	  dd ?
  dwVisibleMask   dd ?
  dwDamageMask	  dd ?
ends

struct TRIVERTEX
  x	dd ? 
  y	dd ? 
  Red	dw ? 
  Green dw ? 
  Blue	dw ? 
  Alpha dw ? 
ends