
; Assigned Internet protocol numbers
IPPROTO_DEFAULT 	= 0
IPPROTO_IPV6_HOPORT	= 0
IPPROTO_ICMP		= 1
IPPROTO_IGMP		= 2
IPPROTO_GGP		= 3
IPPROTO_IPv4		= 4
IPPROTO_ST		= 5
IPPROTO_TCP		= 6
IPPROTO_CBT		= 7
IPPROTO_EGP		= 8
IPPROTO_IGP		= 9
IPPROTO_BBN_RCC_MON	= 10
IPPROTO_NVP2		= 11
IPPROTO_PUP		= 12
IPPROTO_ARGUS		= 13
IPPROTO_EMCON		= 14
IPPROTO_XNET		= 15
IPPROTO_CHAOS		= 16
IPPROTO_UDP		= 17
IPPROTO_MUX		= 18
IPPROTO_DCN_MEAS	= 19
IPPROTO_HMP		= 20
IPPROTO_PRM		= 21
IPPROTO_XNS_IDP 	= 22
IPPROTO_TRUNK1		= 23
IPPROTO_TRUNK2		= 24
IPPROTO_LEAF1		= 25
IPPROTO_LEAF2		= 26
IPPROTO_RDP		= 27
IPPROTO_IRTP		= 28
IPPROTO_ISO_TP4 	= 29
IPPROTO_NETBLT		= 30
IPPROTO_MFE_NSP 	= 31
IPPROTO_MERIT_INP	= 32
IPPROTO_DCCP		= 33
IPPROTO_3PC		= 34
IPPROTO_IDPR		= 35
IPPROTO_XTP		= 36
IPPROTO_DDP		= 37
IPPROTO_IDPR_CMTP	= 38
IPPROTO_TPPP		= 39
IPPROTO_IL		= 40
IPPROTO_IPV6		= 41
IPPROTO_SDRP		= 42
IPPROTO_IPV6_ROUTE	= 43
IPPROTO_IPV6_FRAG	= 44
IPPROTO_IDRP		= 45
IPPROTO_RSVP		= 46
IPPROTO_GRE		= 47
IPPROTO_DSR		= 48
IPPROTO_BNA		= 49
IPPROTO_ESP		= 50
IPPROTO_AH		= 51
IPPROTO_INLSP		= 52
IPPROTO_SWIPE		= 53
IPPROTO_NARP		= 54
IPPROTO_MOBILE		= 55
IPPROTO_TLSP		= 56
IPPROTO_SKIP		= 57
IPPROTO_IPV6_ICMP	= 58
IPPROTO_IPV6_NONXT	= 59
IPPROTO_IPV6_OPTS	= 60
IPPROTO_61		= 61 ; Any host internal protocol
IPPROTO_CFTP		= 62
IPPROTO_63		= 63 ; Any local networ
IPPROTO_SAT_EXPAK	= 64
IPPROTO_KRYPTOLAN	= 65
IPPROTO_RVD		= 66
IPPROTO_IPPC		= 67
IPPROTO_68		= 68 ; Any distributed file system
IPPROTO_SAT_MON 	= 69
IPPROTO_VISA		= 70
IPPROTO_IPCV		= 71
IPPROTO_CPNX		= 72
IPPROTO_CPHB		= 73
IPPROTO_WSN		= 74
IPPROTO_PVP		= 75
IPPROTO_BR_SAT_MON	= 76
IPPROTO_SUN_ND		= 77
IPPROTO_WB_MON		= 78
IPPROTO_WB_EXPAK	= 79
IPPROTO_ISO_IP		= 80
IPPROTO_VMTP		= 81
IPPROTO_SECURE_VMTP	= 82
IPPROTO_VINES		= 83
IPPROTO_TTP		= 83
IPPROTO_IPTM		= 84
IPPROTO_NSFNET_IGP	= 85
IPPROTO_DGP		= 86
IPPROTO_TCF		= 87
IPPROTO_EIGRP		= 88
IPPROTO_OSPFIGP 	= 89
IPPROTO_SPRITE_RPC	= 90
IPPROTO_LARP		= 91
IPPROTO_MTP		= 92
IPPROTO_AX25		= 93
IPPROTO_IPIP		= 94
IPPROTO_MICP		= 95 ; (deprecated)
IPPROTO_SCC_SP		= 96
IPPROTO_ETHERIP 	= 97
IPPROTO_ENCAP		= 98
IPPROTO_99		= 99 ; Any private encryption scheme
IPPROTO_GMTP		= 100
IPPROTO_IFMP		= 101
IPPROTO_PNNI		= 102
IPPROTO_PIM		= 103
IPPROTO_ARIS		= 104
IPPROTO_SCPS		= 105
IPPROTO_QNX		= 106
IPPROTO_AN		= 107
IPPROTO_IPCOMP		= 108
IPPROTO_SNP		= 109
IPPROTO_COMPAQ_PEER	= 110
IPPROTO_IPX_IN_IP	= 111
IPPROTO_VRRP		= 112
IPPROTO_PGM		= 113
IPPROTO_114		= 114 ; Any 0-hop protocol
IPPROTO_L2TP		= 115
IPPROTO_DDX		= 116
IPPROTO_IATP		= 117
IPPROTO_STP		= 118
IPPROTO_SRP		= 119
IPPROTO_UTI		= 120
IPPROTO_SMP		= 121
IPPROTO_SM		= 122 ; (deprecated)
IPPROTO_PTP		= 123
IPPROTO_ISIS		= 124
IPPROTO_FIRE		= 125
IPPROTO_CRTP		= 126
IPPROTO_CRUDP		= 127
IPPROTO_SSCOPMCE	= 128
IPPROTO_IPLT		= 129
IPPROTO_SPS		= 130
IPPROTO_PIPE		= 131
IPPROTO_SCTP		= 132
IPPROTO_FC		= 133
IPPROTO_RSVP_E2E_IGNORE = 134
IPPROTO_MOBILITY_HEADER = 135
IPPROTO_UDPLITE 	= 136
IPPROTO_MPLS_IN_IP	= 137
IPPROTO_MANET		= 138
IPPROTO_HIP		= 139
IPPROTO_SHIM6		= 140
IPPROTO_WESP		= 141
IPPROTO_ROHC		= 141
; Unassigned              143-252
IPPROTO_253		= 253 ; Use for experiments and testing
IPPROTO_254		= 254 ; Use for experiments and testing
IPPROTO_255		= 255 ; (reserved)
IPPROTO_RAW		= 255 ; (reserved)