
; Supported socket address families
AF_UNSPEC	= 0
AF_UNIX 	= 1 ; Unix domain sockets
AF_INET 	= 2 ; Internet IP Protocol
AF_AX25 	= 3 ; Amateur Radio AX.25
AF_IPX		= 4 ; Novell IPX
AF_APPLETALK	= 5 ; Appletalk DDP
AF_NETROM	= 6 ; Amateur radio NetROM
AF_BRIDGE	= 7 ; Multiprotocol bridge
AF_ATMPVC	= 8 ; Reserved for Werner's ATM
AF_X25		= 9 ; Reserved for X.25 project
AF_INET6	= 10; IP version 6
AF_ROSE 	= 11; Amateur Radio X.25 PLP.
AF_DECnet	= 12; Reserved for DECnet project.
AF_NETBEUI	= 13; Reserved for 802.2LLC project.
AF_SECURITY	= 14; Security callback pseudo AF.
AF_KEY		= 15; AF_KEY key management API.
AF_NETLINK	= 16;
AF_ROUTE	= 16;
AF_PACKET	= 17; Packet family.
AF_ASH		= 18; Ash.
AF_ECONET	= 19; Acorn Econet.
AF_ATMSVC	= 20; ATM SVCs.
AF_RDS		= 21; RDS sockets.
AF_SNA		= 22; Linux SNA Project
AF_IRDA 	= 23; IRDA sockets.
AF_PPPOX	= 24; PPPoX sockets.
AF_WANPIPE	= 25; Wanpipe API sockets.
AF_LLC		= 26; Linux LLC.
AF_IB		= 27; Native InfiniBand address.
AF_MPLS 	= 28; MPLS.
AF_CAN		= 29; Controller Area Network.
AF_TIPC 	= 30; TIPC sockets.
AF_BLUETOOTH	= 31; Bluetooth sockets.
AF_IUCV 	= 32; IUCV sockets.
AF_RXRPC	= 33; RxRPC sockets.
AF_ISDN 	= 34; mISDN sockets.
AF_PHONET	= 35; Phonet sockets.
AF_IEEE802154	= 36; IEEE 802.15.4 sockets.
AF_CAIF 	= 37; CAIF sockets.
AF_ALG		= 38; Algorithm sockets.
AF_NFC		= 39; NFC sockets.
AF_VSOCK	= 40; vSockets.
AF_KCM		= 41; Kernel Connection Multiplexor.
AF_QIPCRTR	= 42; Qualcomm IPC Router.
AF_SMC		= 43; SMC sockets.
AF_XDP		= 44; XDP sockets.
AF_MAX		= 45

INVALID_SOCKET	= -1
SOCKET_ERROR	= -1

; Socket shutdown flags
SHTDWN_RECV	= 0
SHTDWN_SEND	= 1
SHTDWN_BOTH	= 2

DEFAULT_PORT	= 0

