; Standard palette colors
CLR_BLACK	 = $00000000
CLR_MAROON	 = $00800000
CLR_GREEN	 = $00008000
CLR_OLIVE	 = $00808000
CLR_NAVY	 = $00000080
CLR_PURPLE	 = $00800080
CLR_TEAL	 = $00008080
CLR_GRAY	 = $00808080
CLR_SILVER	 = $00C0C0C0
CLR_RED 	 = $00FF0000
CLR_LIME	 = $0000FF00
CLR_YELLOW	 = $00FFFF00
CLR_BLUE	 = $000000FF
CLR_MAGENTA	 = $00FF00FF
CLR_AQUA	 = $0000FFFF
CLR_WHITE	 = $00FFFFFF
			    
DEFPAL__1ST	 = CLR_BLACK
DEFPAL_LAST	 = CLR_WHITE

; Compression constants
BI_RGB		  = 0 ; uncompressed
BI_RLE8 	  = 1 ; for BPP 8 only
BI_RLE4 	  = 2 ; for BPP 4 only
BI_BITFIELDS	  = 3 ; uncompressed only for 16,32; no palette
BI_JPEG 	  = 4 ; for BPP 0 only
BI_PNG		  = 5 ; for BPP 0 only
BI_ALPHABITFIELDS = 6

; Color component masks
DEF16MASK_A	  = 0000_0000_0000_0000b
DEF16MASK_R	  = 0111_1100_0000_0000b
DEF16MASK_G	  = 0000_0011_1110_0000b
DEF16MASK_B	  = 0000_0000_0001_1111b

DEF32MASK_A	  = $00000000
DEF32MASK_R	  = $00FF0000
DEF32MASK_G	  = $0000FF00
DEF32MASK_B	  = $000000FF