
; BOX_LIB API calls

import box_lib,\
       box_lib_version, 			'version'			,\
       edit_box_draw,				'edit_box'			,\
       edit_box_key,				'edit_box_key'			,\
       edit_box_mouse,				'edit_box_mouse'		,\
       edit_box_set_text,			'edit_box_set_text'		,\
       edit_box_get_version,			'version_ed'			,\
       init_checkbox,				'init_checkbox2'		,\
       check_box_draw,				'check_box_draw2'		,\
       check_box_mouse, 			'check_box_mouse2'		,\
       check_box_get_version,			'version_ch2'			,\
       option_box_draw, 			'option_box_draw'		,\
       option_box_mouse,			'option_box_mouse'		,\
       check_box_get_version,			'version_op'			,\
       scrollbar_v_draw,			'scrollbar_v_draw'		,\
       scrollbar_v_mouse,			'scrollbar_v_mouse'		,\
       scrollbar_h_draw,			'scrollbar_h_draw'		,\
       scrollbar_h_mouse,			'scrollbar_h_mouse'		,\
       scrollbar_get_version,			'version_scrollbar'		,\
       dbutton_draw,				'dbutton_draw'			,\
       dbutton_mouse,				'dbutton_mouse' 		,\
       dbutton_get_version,			'version_dbutton'		,\
       menu_bar_draw,				'menu_bar_draw' 		,\
       menu_bar_mouse,				'menu_bar_mouse'		,\
       menu_bar_activate,			'menu_bar_activate'		,\
       menu_bar_get_version,			'version_menu_bar'		,\
       FileBrowser_draw,			'FileBrowser_draw'		,\
       FileBrowser_mouse,			'FileBrowser_mouse'		,\
       FileBrowser_key, 			'FileBrowser_key'		,\
       FileBrowser_get_version, 		'version_FileBrowser'		,\
       tree_list_data_init,			'tl_data_init'			,\
       tree_list_data_clear,			'tl_data_clear' 		,\
       tree_list_info_clear,			'tl_info_clear' 		,\
       tree_list_key,				'tl_key'			,\
       tree_list_mouse, 			'tl_mouse'			,\
       tree_list_draw,				'tl_draw'			,\
       tree_list_info_undo,			'tl_info_undo'			,\
       tree_list_info_redo,			'tl_info_redo'			,\
       tree_list_node_add,			'tl_node_add'			,\
       tree_list_node_set_data, 		'tl_node_set_data'		,\
       tree_list_node_get_data, 		'tl_node_get_data'		,\
       tree_list_node_delete,			'tl_node_delete'		,\
       tree_list_node_close_open,		'tl_node_close_open'		,\
       tree_list_node_lev_inc,			'tl_node_lev_inc'		,\
       tree_list_node_lev_dec,			'tl_node_lev_dec'		,\
       tree_list_node_move_up,			'tl_node_move_up'		,\
       tree_list_node_move_down,		'tl_node_move_down'		,\
       tree_list_node_poi_get_info,		'tl_node_poi_get_info'		,\
       tree_list_node_poi_get_next_info,	'tl_node_poi_get_next_info'	,\
       tree_list_node_poi_get_data,		'tl_node_poi_get_data'		,\
       tree_list_save_mem,			'tl_save_mem'			,\
       tree_list_load_mem,			'tl_load_mem'			,\
       tree_list_get_mem_size,			'tl_get_mem_size'		,\
       tree_list_get_version,			'version_tree_list'		,\
       PathShow_prepare,			'PathShow_prepare'		,\
       PathShow_draw,				'PathShow_draw' 		,\
       PathShow_get_version,			'version_PathShow'		,\
       text_edit_but_sumb_upper,		'ted_but_sumb_upper'		,\
       text_edit_but_sumb_lower,		'ted_but_sumb_lover'		,\ ; what a lover????? :( lower
       text_edit_can_save,			'ted_can_save'			,\
       text_edit_clear, 			'ted_clear'			,\
       text_edit_delete,			'ted_delete'			,\
       text_edit_draw,				'ted_draw'			,\
       text_edit_init,				'ted_init'			,\
       text_edit_init_scroll_bars,		'ted_init_scroll_bars'		,\
       text_edit_init_syntax_file,		'ted_init_syntax_file'		,\
       text_edit_is_select,			'ted_is_select' 		,\
       text_edit_key,				'ted_key'			,\
       text_edit_mouse, 			'ted_mouse'			,\
       text_edit_open_file,			'ted_open_file' 		,\
       text_edit_save_file,			'ted_save_file' 		,\
       text_edit_text_add,			'ted_text_add'			,\
       text_edit_but_select_word,		'ted_but_select_word'		,\
       text_edit_but_cut,			'ted_but_cut'			,\
       text_edit_but_copy,			'ted_but_copy'			,\
       text_edit_but_paste,			'ted_but_paste' 		,\
       text_edit_but_undo,			'ted_but_undo'			,\
       text_edit_but_redo,			'ted_but_redo'			,\
       text_edit_but_reverse,			'ted_but_reverse'		,\
       text_edit_but_find_next, 		'ted_but_find_next'		,\
       text_edit_text_colored,			'ted_text_colored'		,\
       text_edit_get_version,			'version_text_edit'		,\
       frame_draw,				'frame_draw'			,\
       frame_get_version,			'version_frame' 		,\
       progressbar_draw,			'progressbar_draw'		,\
       progressbar_progress,			'progressbar_progress'		,\
       tooltip_init,				'tooltip_init'			,\
       tooltip_delete,				'tooltip_delete'		,\
       tooltip_test_show,			'tooltip_test_show'		,\
       tooltip_mouse,				'tooltip_mouse' 		,\
       get_font_size,				'get_font_size'