
; SSLEAY32 API calls

import ssleay32,\ ;SSL LoadFunction
	SSL_CTX_set_cipher_list,			'SSL_CTX_set_cipher_list'			, \
	SSL_CTX_new,					'SSL_CTX_new'					, \
	SSL_CTX_free,					'SSL_CTX_free'					, \
	SSL_set_fd,					'SSL_set_fd'					, \
	SSL_CTX_use_PrivateKey_file,			'SSL_CTX_use_PrivateKey_file'			, \
	SSL_CTX_use_certificate_file,			'SSL_CTX_use_certificate_file'			, \
	SSL_load_error_strings, 			'SSL_load_error_strings'			, \
	SSL_state_string_long,				'SSL_state_string_long' 			, \
	SSL_get_peer_certificate,			'SSL_get_peer_certificate'			, \
	SSL_CTX_set_verify,				'SSL_CTX_set_verify'				, \
	SSL_CTX_set_verify_depth,			'SSL_CTX_set_verify_depth'			, \
	SSL_CTX_get_verify_depth,			'SSL_CTX_get_verify_depth'			, \
	SSL_CTX_set_default_passwd_cb,			'SSL_CTX_set_default_passwd_cb' 		, \
	SSL_CTX_set_default_passwd_cb_userdata, 	'SSL_CTX_set_default_passwd_cb_userdata'	, \
	SSL_CTX_check_private_key,			'SSL_CTX_check_private_key'			, \
	SSL_new,					'SSL_new'					, \
	SSL_free,					'SSL_free'					, \
	SSL_accept,					'SSL_accept'					, \
	SSL_connect,					'SSL_connect'					, \
	SSL_read,					'SSL_read'					, \
	SSL_peek,					'SSL_peek'					, \
	SSL_write,					'SSL_write'					, \
	SSL_get_error,					'SSL_get_error' 				, \
	SSLv2_method,					'SSLv2_method'					, \
	SSLv2_server_method,				'SSLv2_server_method'				, \
	SSLv2_client_method,				'SSLv2_client_method'				, \
	SSLv3_method,					'SSLv3_method'					, \
	SSLv3_server_method,				'SSLv3_server_method'				, \
	SSLv3_client_method,				'SSLv3_client_method'				, \
	SSLv23_method,					'SSLv23_method' 				, \
	SSLv23_server_method,				'SSLv23_server_method'				, \
	SSLv23_client_method,				'SSLv23_client_method'				, \
	TLSv1_method,					'TLSv1_method'					, \
	TLSv1_server_method,				'TLSv1_server_method'				, \
	TLSv1_client_method,				'TLSv1_client_method'				, \
	SSL_shutdown,					'SSL_shutdown'					, \
	SSL_set_connect_state,				'SSL_set_connect_state' 			, \
	SSL_set_accept_state,				'SSL_set_accept_state'				, \
	SSL_set_shutdown,				'SSL_set_shutdown'				, \
	SSL_CTX_load_verify_locations,			'SSL_CTX_load_verify_locations' 		, \
	SSL_get_shutdown,				'SSL_get_shutdown'				, \
	SSL_library_init,				'SSL_library_init'				, \
	SSL_set_ex_data,				'SSL_set_ex_data'				, \
	SSL_get_ex_data,				'SSL_get_ex_data'				, \
	SSL_load_client_CA_file,			'SSL_load_client_CA_file'			, \
	SSL_CTX_set_client_CA_list,			'SSL_CTX_set_client_CA_list'			, \
	SSL_CTX_set_default_verify_paths,		'SSL_CTX_set_default_verify_paths'		, \
	SSL_CTX_set_session_id_context, 		'SSL_CTX_set_session_id_context'		, \
	SSL_CIPHER_description, 			'SSL_CIPHER_description'			, \
	SSL_get_current_cipher, 			'SSL_get_current_cipher'			, \
	SSL_CIPHER_get_name,				'SSL_CIPHER_get_name'				, \
	SSL_CIPHER_get_version, 			'SSL_CIPHER_get_version'			, \
	SSL_CIPHER_get_bits,				'SSL_CIPHER_get_bits'				, \
\ ;     Indy
	SSL_CTX_set_info_callback_indy, 		'SSL_CTX_set_info_callback_indy'		, \
	X509_STORE_CTX_get_app_data_indy,		'X509_STORE_CTX_get_app_data_indy'		, \
	SSL_SESSION_get_id_indy,			'SSL_SESSION_get_id_indy'			, \
	SSL_SESSION_get_id_ctx_indy,			'SSL_SESSION_get_id_ctx_indy'			, \
	SSL_CTX_get_version_indy,			'SSL_CTX_get_version_indy'			, \
	SSL_CTX_set_options_indy,			'SSL_CTX_set_options_indy'			, \
	X509_get_notBefore_indy,			'X509_get_notBefore_indy'			, \
	X509_get_notAfter_indy, 			'X509_get_notAfter_indy'			, \

	ConvertToAutoInheritPrivateObjectSecurity,	'ConvertToAutoInheritPrivateObjectSecurity'	, \
	CopySid,					'CopySid'					, \
	CreatePrivateObjectSecurity,			'CreatePrivateObjectSecurity'			, \
	CreatePrivateObjectSecurityEx,			'CreatePrivateObjectSecurityEx' 		, \
	CreateProcessAsUserA,				'CreateProcessAsUserA'				, \
	CreateProcessAsUserW,				'CreateProcessAsUserW'				, \
	CreateRestrictedToken,				'CreateRestrictedToken' 			, \
	CreateServiceA, 				'CreateServiceA'				, \
	CreateServiceW, 				'CreateServiceW'				, \
	CryptAcquireContextA,				'CryptAcquireContextA'				, \
	CryptAcquireContextW,				'CryptAcquireContextW'				, \
	CryptContextAddRef,				'CryptContextAddRef'				, \
	CryptCreateHash,				'CryptCreateHash'				, \
	CryptDecrypt,					'CryptDecrypt'					, \
	CryptDeriveKey, 				'CryptDeriveKey'				, \
	CryptDestroyHash,				'CryptDestroyHash'				, \
	CryptDestroyKey,				'CryptDestroyKey'				, \
	CryptDuplicateHash,				'CryptDuplicateHash'				, \
	CryptDuplicateKey,				'CryptDuplicateKey'				, \
	CryptEncrypt,					'CryptEncrypt'					, \
	CryptEnumProviderTypesA,			'CryptEnumProviderTypesA'			, \
	CryptEnumProviderTypesW,			'CryptEnumProviderTypesW'			, \
	CryptEnumProvidersA,				'CryptEnumProvidersA'				, \
	CryptEnumProvidersW,				'CryptEnumProvidersW'				, \
	CryptExportKey, 				'CryptExportKey'				, \
	CryptGenKey,					'CryptGenKey'					, \
	CryptGenRandom, 				'CryptGenRandom'				, \
	CryptGetDefaultProviderA,			'CryptGetDefaultProviderA'			, \
	CryptGetDefaultProviderW,			'CryptGetDefaultProviderW'			, \
	CryptGetHashParam,				'CryptGetHashParam'				, \
	CryptGetKeyParam,				'CryptGetKeyParam'				, \
	CryptGetProvParam,				'CryptGetProvParam'				, \
	CryptGetUserKey,				'CryptGetUserKey'				, \
	CryptHashData,					'CryptHashData' 				, \
	CryptHashSessionKey,				'CryptHashSessionKey'				, \
	CryptImportKey, 				'CryptImportKey'				, \
	CryptReleaseContext,				'CryptReleaseContext'				, \
	CryptSetHashParam,				'CryptSetHashParam'				, \
	CryptSetKeyParam,				'CryptSetKeyParam'				, \
	CryptSetProvParam,				'CryptSetProvParam'				, \
	CryptSetProviderA,				'CryptSetProviderA'				, \
	CryptSetProviderW,				'CryptSetProviderW'				, \
	CryptSetProviderExA,				'CryptSetProviderExA'				, \
	CryptSetProviderExW,				'CryptSetProviderExW'				, \
	CryptSignHashA, 				'CryptSignHashA'				, \
	CryptSignHashW, 				'CryptSignHashW'				, \
	CryptVerifySignatureA,				'CryptVerifySignatureA' 			, \
	CryptVerifySignatureW,				'CryptVerifySignatureW' 			, \
	DecryptFileA,					'DecryptFileA'					, \
	DecryptFileW,					'DecryptFileW'					, \
	DeleteAce,					'DeleteAce'					, \
	DeleteService,					'DeleteService' 				, \
	DeregisterEventSource,				'DeregisterEventSource' 			, \
	DestroyPrivateObjectSecurity,			'DestroyPrivateObjectSecurity'			, \
	DuplicateToken, 				'DuplicateToken'				, \
	DuplicateTokenEx,				'DuplicateTokenEx'				, \
	ElfBackupEventLogFileA, 			'ElfBackupEventLogFileA'			, \
	ElfBackupEventLogFileW, 			'ElfBackupEventLogFileW'			, \
	ElfChangeNotify,				'ElfChangeNotify'				, \
	ElfClearEventLogFileA,				'ElfClearEventLogFileA' 			, \
	ElfClearEventLogFileW,				'ElfClearEventLogFileW' 			, \
	ElfCloseEventLog,				'ElfCloseEventLog'				, \
	ElfDeregisterEventSource,			'ElfDeregisterEventSource'			, \
	ElfNumberOfRecords,				'ElfNumberOfRecords'				, \
	ElfOldestRecord,				'ElfOldestRecord'				, \
	ElfOpenBackupEventLogA, 			'ElfOpenBackupEventLogA'			, \
	ElfOpenBackupEventLogW, 			'ElfOpenBackupEventLogW'			, \
	ElfOpenEventLogA,				'ElfOpenEventLogA'				, \
	ElfOpenEventLogW,				'ElfOpenEventLogW'				, \
	ElfReadEventLogA,				'ElfReadEventLogA'				, \
	ElfReadEventLogW,				'ElfReadEventLogW'				, \
	ElfRegisterEventSourceA,			'ElfRegisterEventSourceA'			, \
	ElfRegisterEventSourceW,			'ElfRegisterEventSourceW'			, \
	ElfReportEventA,				'ElfReportEventA'				, \
	ElfReportEventW,				'ElfReportEventW'				, \
	EncryptFileA,					'EncryptFileA'					, \
	EncryptFileW,					'EncryptFileW'					, \
	EnumDependentServicesA, 			'EnumDependentServicesA'			, \
	EnumDependentServicesW, 			'EnumDependentServicesW'			, \
	EnumServicesStatusA,				'EnumServicesStatusA'				, \
	EnumServicesStatusW,				'EnumServicesStatusW'				, \
	EqualPrefixSid, 				'EqualPrefixSid'				, \
	EqualSid,					'EqualSid'					, \
	FindFirstFreeAce,				'FindFirstFreeAce'				, \
	FreeSid,					'FreeSid'					, \
	GetAccessPermissionsForObjectA, 		'GetAccessPermissionsForObjectA'		, \
	GetAccessPermissionsForObjectW, 		'GetAccessPermissionsForObjectW'		, \
	GetAce, 					'GetAce'					, \
	GetAclInformation,				'GetAclInformation'				, \
	GetAuditedPermissionsFromAclA,			'GetAuditedPermissionsFromAclA' 		, \
	GetAuditedPermissionsFromAclW,			'GetAuditedPermissionsFromAclW' 		, \
	GetCurrentHwProfileA,				'GetCurrentHwProfileA'				, \
	GetCurrentHwProfileW,				'GetCurrentHwProfileW'				, \
	GetEffectiveRightsFromAclA,			'GetEffectiveRightsFromAclA'			, \
	GetEffectiveRightsFromAclW,			'GetEffectiveRightsFromAclW'			, \
	GetExplicitEntriesFromAclA,			'GetExplicitEntriesFromAclA'			, \
	GetExplicitEntriesFromAclW,			'GetExplicitEntriesFromAclW'			, \
	GetFileSecurityA,				'GetFileSecurityA'				, \
	GetFileSecurityW,				'GetFileSecurityW'				, \
	GetKernelObjectSecurity,			'GetKernelObjectSecurity'			, \
	GetLengthSid,					'GetLengthSid'					, \
	GetMultipleTrusteeA,				'GetMultipleTrusteeA'				, \
	GetMultipleTrusteeW,				'GetMultipleTrusteeW'				, \
	GetMultipleTrusteeOperationA,			'GetMultipleTrusteeOperationA'			, \
	GetMultipleTrusteeOperationW,			'GetMultipleTrusteeOperationW'			, \
	GetNamedSecurityInfoA,				'GetNamedSecurityInfoA' 			, \
	GetNamedSecurityInfoW,				'GetNamedSecurityInfoW' 			, \
	GetNamedSecurityInfoExA,			'GetNamedSecurityInfoExA'			, \
	GetNamedSecurityInfoExW,			'GetNamedSecurityInfoExW'			, \
	GetNumberOfEventLogRecords,			'GetNumberOfEventLogRecords'			, \
	GetOldestEventLogRecord,			'GetOldestEventLogRecord'			, \
	GetOverlappedAccessResults,			'GetOverlappedAccessResults'			, \
	GetPrivateObjectSecurity,			'GetPrivateObjectSecurity'			, \
	GetSecurityDescriptorControl,			'GetSecurityDescriptorControl'			, \
	GetSecurityDescriptorDacl,			'GetSecurityDescriptorDacl'			, \
	GetSecurityDescriptorGroup,			'GetSecurityDescriptorGroup'			, \
	GetSecurityDescriptorLength,			'GetSecurityDescriptorLength'			, \
	GetSecurityDescriptorOwner,			'GetSecurityDescriptorOwner'			, \
	GetSecurityDescriptorSacl,			'GetSecurityDescriptorSacl'			, \
	GetSecurityInfo,				'GetSecurityInfo'				, \
	GetSecurityInfoExA,				'GetSecurityInfoExA'				, \
	GetSecurityInfoExW,				'GetSecurityInfoExW'				, \
	GetServiceDisplayNameA, 			'GetServiceDisplayNameA'			, \
	GetServiceDisplayNameW, 			'GetServiceDisplayNameW'			, \
	GetServiceKeyNameA,				'GetServiceKeyNameA'				, \
	GetServiceKeyNameW,				'GetServiceKeyNameW'				, \
	GetSidLengthRequiredA,				'GetSidLengthRequiredA' 			, \
	GetSidLengthRequiredW,				'GetSidLengthRequiredW' 			, \
	GetSidSubAuthority,				'GetSidSubAuthority'				, \
	GetSidSubAuthorityCount,			'GetSidSubAuthorityCount'			, \
	GetTokenInformation,				'GetTokenInformation'				, \
	GetTrusteeNameA,				'GetTrusteeNameA'				, \
	GetTrusteeNameW,				'GetTrusteeNameW'				, \
	GetTrusteeTypeA,				'GetTrusteeTypeA'				, \
	GetTrusteeTypeW,				'GetTrusteeTypeW'				, \
	GetUserNameA,					'GetUserNameA'					, \
	GetUserNameW,					'GetUserNameW'					, \
	I_ScSetServiceBitsA,				'I_ScSetServiceBitsA'				, \
	I_ScSetServiceBitsW,				'I_ScSetServiceBitsW'				, \
	ImpersonateLoggedOnUser,			'ImpersonateLoggedOnUser'			, \
	ImpersonateNamedPipeClient,			'ImpersonateNamedPipeClient'			, \
	ImpersonateSelf,				'ImpersonateSelf'				, \
	InitializeAcl,					'InitializeAcl' 				, \
	InitializeSecurityDescriptor,			'InitializeSecurityDescriptor'			, \
	InitializeSid,					'InitializeSid' 				, \
	InitiateSystemShutdownA,			'InitiateSystemShutdownA'			, \
	InitiateSystemShutdownW,			'InitiateSystemShutdownW'			, \
	IsTextUnicode,					'IsTextUnicode' 				, \
	IsTokenRestricted,				'IsTokenRestricted'				, \
	IsValidAcl,					'IsValidAcl'					, \
	IsValidSecurityDescriptor,			'IsValidSecurityDescriptor'			, \
	IsValidSid,					'IsValidSid'					, \
	LockServiceDatabase,				'LockServiceDatabase'				, \
	LogonUserA,					'LogonUserA'					, \
	LogonUserW,					'LogonUserW'					, \
	LookupAccountNameA,				'LookupAccountNameA'				, \
	LookupAccountNameW,				'LookupAccountNameW'				, \
	LookupAccountSidA,				'LookupAccountSidA'				, \
	LookupAccountSidW,				'LookupAccountSidW'				, \
	LookupPrivilegeDisplayNameA,			'LookupPrivilegeDisplayNameA'			, \
	LookupPrivilegeDisplayNameW,			'LookupPrivilegeDisplayNameW'			, \
	LookupPrivilegeNameA,				'LookupPrivilegeNameA'				, \
	LookupPrivilegeNameW,				'LookupPrivilegeNameW'				, \
	LookupPrivilegeValueA,				'LookupPrivilegeValueA' 			, \
	LookupPrivilegeValueW,				'LookupPrivilegeValueW' 			, \
	LookupSecurityDescriptorPartsA, 		'LookupSecurityDescriptorPartsA'		, \
	LookupSecurityDescriptorPartsW, 		'LookupSecurityDescriptorPartsW'		, \
	LsaAddAccountRights,				'LsaAddAccountRights'				, \
	LsaAddPrivilegesToAccount,			'LsaAddPrivilegesToAccount'			, \
	LsaClearAuditLog,				'LsaClearAuditLog'				, \
	LsaClose,					'LsaClose'					, \
	LsaCreateAccount,				'LsaCreateAccount'				, \
	LsaCreateSecret,				'LsaCreateSecret'				, \
	LsaCreateTrustedDomain, 			'LsaCreateTrustedDomain'			, \
	LsaCreateTrustedDomainEx,			'LsaCreateTrustedDomainEx'			, \
	LsaDelete,					'LsaDelete'					, \
	LsaDeleteTrustedDomain, 			'LsaDeleteTrustedDomain'			, \
	LsaEnumerateAccountRights,			'LsaEnumerateAccountRights'			, \
	LsaEnumerateAccounts,				'LsaEnumerateAccounts'				, \
	LsaEnumerateAccountsWithUserRight,		'LsaEnumerateAccountsWithUserRight'		, \
	LsaEnumeratePrivileges, 			'LsaEnumeratePrivileges'			, \
	LsaEnumeratePrivilegesOfAccount,		'LsaEnumeratePrivilegesOfAccount'		, \
	LsaEnumerateTrustedDomains,			'LsaEnumerateTrustedDomains'			, \
	LsaEnumerateTrustedDomainsEx,			'LsaEnumerateTrustedDomainsEx'			, \
	LsaFreeMemory,					'LsaFreeMemory' 				, \
	LsaGetQuotasForAccount, 			'LsaGetQuotasForAccount'			, \
	LsaGetSystemAccessAccount,			'LsaGetSystemAccessAccount'			, \
	LsaGetUserName, 				'LsaGetUserName'				, \
	LsaICLookupNames,				'LsaICLookupNames'				, \
	LsaICLookupSids,				'LsaICLookupSids'				, \
	LsaIGetTrustedDomainAuthInfoBlobs,		'LsaIGetTrustedDomainAuthInfoBlobs'		, \
	LsaISetTrustedDomainAuthInfoBlobs,		'LsaISetTrustedDomainAuthInfoBlobs'		, \
	LsaLookupNames, 				'LsaLookupNames'				, \
	LsaLookupPrivilegeDisplayName,			'LsaLookupPrivilegeDisplayName' 		, \
	LsaLookupPrivilegeName, 			'LsaLookupPrivilegeName'			, \
	LsaLookupPrivilegeValue,			'LsaLookupPrivilegeValue'			, \
	LsaLookupSids,					'LsaLookupSids' 				, \
	LsaNtStatusToWinError,				'LsaNtStatusToWinError' 			, \
	LsaOpenAccount, 				'LsaOpenAccount'				, \
	LsaOpenPolicy,					'LsaOpenPolicy' 				, \
	LsaOpenSecret,					'LsaOpenSecret' 				, \
	LsaOpenTrustedDomain,				'LsaOpenTrustedDomain'				, \
	LsaQueryDomainInformationPolicy,		'LsaQueryDomainInformationPolicy'		, \
	LsaQueryInfoTrustedDomain,			'LsaQueryInfoTrustedDomain'			, \
	LsaQueryInformationPolicy,			'LsaQueryInformationPolicy'			, \
	LsaQueryLocalInformationPolicy, 		'LsaQueryLocalInformationPolicy'		, \
	LsaQuerySecret, 				'LsaQuerySecret'				, \
	LsaQuerySecurityObject, 			'LsaQuerySecurityObject'			, \
	LsaQueryTrustedDomainInfo,			'LsaQueryTrustedDomainInfo'			, \
	LsaQueryTrustedDomainInfoByName,		'LsaQueryTrustedDomainInfoByName'		, \
	LsaRemoveAccountRights, 			'LsaRemoveAccountRights'			, \
	LsaRemovePrivilegesFromAccount, 		'LsaRemovePrivilegesFromAccount'		, \
	LsaRetrievePrivateData, 			'LsaRetrievePrivateData'			, \
	LsaSetDomainInformationPolicy,			'LsaSetDomainInformationPolicy' 		, \
	LsaSetInformationPolicy,			'LsaSetInformationPolicy'			, \
	LsaSetInformationTrustedDomain, 		'LsaSetInformationTrustedDomain'		, \
	LsaSetLocalInformationPolicy,			'LsaSetLocalInformationPolicy'			, \
	LsaSetQuotasForAccount, 			'LsaSetQuotasForAccount'			, \
	LsaSetSecret,					'LsaSetSecret'					, \
	LsaSetSecurityObject,				'LsaSetSecurityObject'				, \
	LsaSetSystemAccessAccount,			'LsaSetSystemAccessAccount'			, \
	LsaSetTrustedDomainInfoByName,			'LsaSetTrustedDomainInfoByName' 		, \
	LsaSetTrustedDomainInformation, 		'LsaSetTrustedDomainInformation'		, \
	LsaStorePrivateData,				'LsaStorePrivateData'				, \
	MakeAbsoluteSD, 				'MakeAbsoluteSD'				, \
	MakeSelfRelativeSD,				'MakeSelfRelativeSD'				, \
	MapGenericMask, 				'MapGenericMask'				, \
	NotifyBootConfigStatus, 			'NotifyBootConfigStatus'			, \
	NotifyChangeEventLog,				'NotifyChangeEventLog'				, \
	ObjectCloseAuditAlarmA, 			'ObjectCloseAuditAlarmA'			, \
	ObjectCloseAuditAlarmW, 			'ObjectCloseAuditAlarmW'			, \
	ObjectDeleteAuditAlarmA,			'ObjectDeleteAuditAlarmA'			, \
	ObjectDeleteAuditAlarmW,			'ObjectDeleteAuditAlarmW'			, \
	ObjectOpenAuditAlarmA,				'ObjectOpenAuditAlarmA' 			, \
	ObjectOpenAuditAlarmW,				'ObjectOpenAuditAlarmW' 			, \
	ObjectPrivilegeAuditAlarmA,			'ObjectPrivilegeAuditAlarmA'			, \
	ObjectPrivilegeAuditAlarmW,			'ObjectPrivilegeAuditAlarmW'			, \
	OpenBackupEventLogA,				'OpenBackupEventLogA'				, \
	OpenBackupEventLogW,				'OpenBackupEventLogW'				, \
	OpenEventLogA,					'OpenEventLogA' 				, \
	OpenEventLogW,					'OpenEventLogW' 				, \
	OpenProcessToken,				'OpenProcessToken'				, \
	OpenRawA,					'OpenRawA'					, \
	OpenRawW,					'OpenRawW'					, \
	OpenSCManagerA, 				'OpenSCManagerA'				, \
	OpenSCManagerW, 				'OpenSCManagerW'				, \
	OpenServiceA,					'OpenServiceA'					, \
	OpenServiceW,					'OpenServiceW'					, \
	OpenThreadToken,				'OpenThreadToken'				, \
	PrivilegeCheck, 				'PrivilegeCheck'				, \
	PrivilegedServiceAuditAlarmA,			'PrivilegedServiceAuditAlarmA'			, \
	PrivilegedServiceAuditAlarmW,			'PrivilegedServiceAuditAlarmW'			, \
	QueryRecoveryAgentsA,				'QueryRecoveryAgentsA'				, \
	QueryRecoveryAgentsW,				'QueryRecoveryAgentsW'				, \
	QueryServiceConfig2A,				'QueryServiceConfig2A'				, \
	QueryServiceConfig2W,				'QueryServiceConfig2W'				, \
	QueryServiceConfigA,				'QueryServiceConfigA'				, \
	QueryServiceConfigW,				'QueryServiceConfigW'				, \
	QueryServiceLockStatusA,			'QueryServiceLockStatusA'			, \
	QueryServiceLockStatusW,			'QueryServiceLockStatusW'			, \
	QueryServiceObjectSecurity,			'QueryServiceObjectSecurity'			, \
	QueryServiceStatus,				'QueryServiceStatus'				, \
	QueryWindows31FilesMigration,			'QueryWindows31FilesMigration'			, \
	ReadEventLogA,					'ReadEventLogA' 				, \
	ReadEventLogW,					'ReadEventLogW' 				, \
	ReadRaw,					'ReadRaw'					, \
	RegCloseKey,					'RegCloseKey'					, \
	RegConnectRegistryA,				'RegConnectRegistryA'				, \
	RegConnectRegistryW,				'RegConnectRegistryW'				, \
	RegCreateKeyA,					'RegCreateKeyA' 				, \
	RegCreateKeyW,					'RegCreateKeyW' 				, \
	RegCreateKeyExA,				'RegCreateKeyExA'				, \
	RegCreateKeyExW,				'RegCreateKeyExW'				, \
	RegDeleteKeyA,					'RegDeleteKeyA' 				, \
	RegDeleteKeyW,					'RegDeleteKeyW' 				, \
	RegDeleteValueA,				'RegDeleteValueA'				, \
	RegDeleteValueW,				'RegDeleteValueW'				, \
	RegEnumKeyA,					'RegEnumKeyA'					, \
	RegEnumKeyW,					'RegEnumKeyW'					, \
	RegEnumKeyExA,					'RegEnumKeyExA' 				, \
	RegEnumKeyExW,					'RegEnumKeyExW' 				, \
	RegEnumValueA,					'RegEnumValueA' 				, \
	RegEnumValueW,					'RegEnumValueW' 				, \
	RegFlushKey,					'RegFlushKey'					, \
	RegGetKeySecurity,				'RegGetKeySecurity'				, \
	RegLoadKeyA,					'RegLoadKeyA'					, \
	RegLoadKeyW,					'RegLoadKeyW'					, \
	RegNotifyChangeKeyValue,			'RegNotifyChangeKeyValue'			, \
	RegOpenKeyA,					'RegOpenKeyA'					, \
	RegOpenKeyW,					'RegOpenKeyW'					, \
	RegOpenKeyExA,					'RegOpenKeyExA' 				, \
	RegOpenKeyExW,					'RegOpenKeyExW' 				, \
	RegOverridePredefKey,				'RegOverridePredefKey'				, \
	RegQueryInfoKeyA,				'RegQueryInfoKeyA'				, \
	RegQueryInfoKeyW,				'RegQueryInfoKeyW'				, \
	RegQueryMultipleValuesA,			'RegQueryMultipleValuesA'			, \
	RegQueryMultipleValuesW,			'RegQueryMultipleValuesW'			, \
	RegQueryValueA, 				'RegQueryValueA'				, \
	RegQueryValueW, 				'RegQueryValueW'				, \
	RegQueryValueExA,				'RegQueryValueExA'				, \
	RegQueryValueExW,				'RegQueryValueExW'				, \
	RegReplaceKeyA, 				'RegReplaceKeyA'				, \
	RegReplaceKeyW, 				'RegReplaceKeyW'				, \
	RegRestoreKeyA, 				'RegRestoreKeyA'				, \
	RegRestoreKeyW, 				'RegRestoreKeyW'				, \
	RegSaveKeyA,					'RegSaveKeyA'					, \
	RegSaveKeyW,					'RegSaveKeyW'					, \
	RegSetKeySecurity,				'RegSetKeySecurity'				, \
	RegSetValueA,					'RegSetValueA'					, \
	RegSetValueW,					'RegSetValueW'					, \
	RegSetValueExA, 				'RegSetValueExA'				, \
	RegSetValueExW, 				'RegSetValueExW'				, \
	RegUnLoadKeyA,					'RegUnLoadKeyA' 				, \
	RegUnLoadKeyW,					'RegUnLoadKeyW' 				, \
	RegisterEventSourceA,				'RegisterEventSourceA'				, \
	RegisterEventSourceW,				'RegisterEventSourceW'				, \
	RegisterServiceCtrlHandlerA,			'RegisterServiceCtrlHandlerA'			, \
	RegisterServiceCtrlHandlerW,			'RegisterServiceCtrlHandlerW'			, \
	ReportEventA,					'ReportEventA'					, \
	ReportEventW,					'ReportEventW'					, \
	RevertToSelf,					'RevertToSelf'					, \
	SetAclInformation,				'SetAclInformation'				, \
	SetEntriesInAccessListA,			'SetEntriesInAccessListA'			, \
	SetEntriesInAccessListW,			'SetEntriesInAccessListW'			, \
	SetEntriesInAclA,				'SetEntriesInAclA'				, \
	SetEntriesInAclW,				'SetEntriesInAclW'				, \
	SetEntriesInAuditListA, 			'SetEntriesInAuditListA'			, \
	SetEntriesInAuditListW, 			'SetEntriesInAuditListW'			, \
	SetFileSecurityA,				'SetFileSecurityA'				, \
	SetFileSecurityW,				'SetFileSecurityW'				, \
	SetKernelObjectSecurity,			'SetKernelObjectSecurity'			, \
	SetNamedSecurityInfoA,				'SetNamedSecurityInfoA' 			, \
	SetNamedSecurityInfoW,				'SetNamedSecurityInfoW' 			, \
	SetNamedSecurityInfoExA,			'SetNamedSecurityInfoExA'			, \
	SetNamedSecurityInfoExW,			'SetNamedSecurityInfoExW'			, \
	SetPrivateObjectSecurity,			'SetPrivateObjectSecurity'			, \
	SetPrivateObjectSecurityEx,			'SetPrivateObjectSecurityEx'			, \
	SetSecurityDescriptorControl,			'SetSecurityDescriptorControl'			, \
	SetSecurityDescriptorDacl,			'SetSecurityDescriptorDacl'			, \
	SetSecurityDescriptorGroup,			'SetSecurityDescriptorGroup'			, \
	SetSecurityDescriptorOwner,			'SetSecurityDescriptorOwner'			, \
	SetSecurityDescriptorSacl,			'SetSecurityDescriptorSacl'			, \
	SetSecurityInfo,				'SetSecurityInfo'				, \
	SetSecurityInfoExA,				'SetSecurityInfoExA'				, \
	SetSecurityInfoExW,				'SetSecurityInfoExW'				, \
	SetServiceBits, 				'SetServiceBits'				, \
	SetServiceObjectSecurity,			'SetServiceObjectSecurity'			, \
	SetServiceStatus,				'SetServiceStatus'				, \
	SetThreadToken, 				'SetThreadToken'				, \
	SetTokenInformation,				'SetTokenInformation'				, \
	StartServiceA,					'StartServiceA' 				, \
	StartServiceW,					'StartServiceW' 				, \
	StartServiceCtrlDispatcherA,			'StartServiceCtrlDispatcherA'			, \
	StartServiceCtrlDispatcherW,			'StartServiceCtrlDispatcherW'			, \
	SynchronizeWindows31FilesAndWindowsNTRegistry,	'SynchronizeWindows31FilesAndWindowsNTRegistry' , \
	TrusteeAccessToObjectA, 			'TrusteeAccessToObjectA'			, \
	TrusteeAccessToObjectW, 			'TrusteeAccessToObjectW'			, \
	UnlockServiceDatabase,				'UnlockServiceDatabase' 			, \
	WriteRaw,					'WriteRaw'

api	AbortSystemShutdown,\
	AccessCheckAndAuditAlarm,\
	AccessCheckByTypeAndAuditAlarm,\
	AccessCheckByTypeResultListAndAuditAlarm,\
	BackupEventLog,\
	BuildExplicitAccessWithName,\
	BuildImpersonateExplicitAccessWithName,\
	BuildImpersonateTrustee,\
	BuildSecurityDescriptor,\
	BuildTrusteeWithName,\
	BuildTrusteeWithSid,\
	ChangeServiceConfig2,\
	ChangeServiceConfig,\
	ClearEventLog,\
	ConvertAccessToSecurityDescriptor,\
	ConvertSecurityDescriptorToAccess,\
	ConvertSecurityDescriptorToAccessNamed,\
	CreateProcessAsUser,\
	CreateService,\
	CryptAcquireContext,\
	CryptEnumProviderTypes,\
	CryptEnumProviders,\
	CryptGetDefaultProvider,\
	CryptSetProvider,\
	CryptSetProviderEx,\
	CryptSignHash,\
	CryptVerifySignature,\
	DecryptFile,\
	ElfBackupEventLogFile,\
	ElfClearEventLogFile,\
	ElfOpenBackupEventLog,\
	ElfOpenEventLog,\
	ElfReadEventLog,\
	ElfRegisterEventSource,\
	ElfReportEvent,\
	EncryptFile,\
	EnumDependentServices,\
	EnumServicesStatus,\
	GetAccessPermissionsForObject,\
	GetAuditedPermissionsFromAcl,\
	GetCurrentHwProfile,\
	GetEffectiveRightsFromAcl,\
	GetExplicitEntriesFromAcl,\
	GetFileSecurity,\
	GetMultipleTrustee,\
	GetMultipleTrusteeOperation,\
	GetNamedSecurityInfo,\
	GetNamedSecurityInfoEx,\
	GetSecurityInfoEx,\
	GetServiceDisplayName,\
	GetServiceKeyName,\
	GetSidLengthRequired,\
	GetTrusteeName,\
	GetTrusteeType,\
	GetUserName,\
	I_ScSetServiceBits,\
	InitiateSystemShutdown,\
	LogonUser,\
	LookupAccountName,\
	LookupAccountSid,\
	LookupPrivilegeDisplayName,\
	LookupPrivilegeName,\
	LookupPrivilegeValue,\
	LookupSecurityDescriptorParts,\
	ObjectCloseAuditAlarm,\
	ObjectDeleteAuditAlarm,\
	ObjectOpenAuditAlarm,\
	ObjectPrivilegeAuditAlarm,\
	OpenBackupEventLog,\
	OpenEventLog,\
	OpenRaw,\
	OpenSCManager,\
	OpenService,\
	PrivilegedServiceAuditAlarm,\
	QueryRecoveryAgents,\
	QueryServiceConfig2,\
	QueryServiceConfig,\
	QueryServiceLockStatus,\
	ReadEventLog,\
	RegConnectRegistry,\
	RegCreateKey,\
	RegCreateKeyEx,\
	RegDeleteKey,\
	RegDeleteValue,\
	RegEnumKey,\
	RegEnumKeyEx,\
	RegEnumValue,\
	RegLoadKey,\
	RegOpenKey,\
	RegOpenKeyEx,\
	RegQueryInfoKey,\
	RegQueryMultipleValues,\
	RegQueryValue,\
	RegQueryValueEx,\
	RegReplaceKey,\
	RegRestoreKey,\
	RegSaveKey,\
	RegSetValue,\
	RegSetValueEx,\
	RegUnLoadKey,\
	RegisterEventSource,\
	RegisterServiceCtrlHandler,\
	ReportEvent,\
	SetEntriesInAccessList,\
	SetEntriesInAcl,\
	SetEntriesInAuditList,\
	SetFileSecurity,\
	SetNamedSecurityInfo,\
	SetNamedSecurityInfoEx,\
	SetSecurityInfoEx,\
	StartService,\
	StartServiceCtrlDispatcher,\
	TrusteeAccessToObject
