
; WINMM API calls
					
import winmm,\
	aux32Message,			'aux32Message'			, \
	auxGetDevCapsA, 		'auxGetDevCapsA'		, \
	auxGetDevCapsW, 		'auxGetDevCapsW'		, \
	auxGetNumDevs,			'auxGetNumDevs' 		, \
	auxGetVolume,			'auxGetVolume'			, \
	auxOutMessage,			'auxOutMessage' 		, \
	auxSetVolume,			'auxSetVolume'			, \
	CloseDriver,			'CloseDriver'			, \
	DefDriverProc,			'DefDriverProc' 		, \
	DriverCallback, 		'DriverCallback'		, \
	DrvGetModuleHandle,		'DrvGetModuleHandle'		, \
	GetDriverModuleHandle,		'GetDriverModuleHandle' 	, \
	joy32Message,			'joy32Message'			, \
	joyConfigChanged,		'joyConfigChanged'		, \
	joyGetDevCapsA, 		'joyGetDevCapsA'		, \
	joyGetDevCapsW, 		'joyGetDevCapsW'		, \
	joyGetNumDevs,			'joyGetNumDevs' 		, \
	joyGetPos,			'joyGetPos'			, \
	joyGetPosEx,			'joyGetPosEx'			, \
	joyGetThreshold,		'joyGetThreshold'		, \
	joyReleaseCapture,		'joyReleaseCapture'		, \
	joySetCapture,			'joySetCapture' 		, \
	joySetThreshold,		'joySetThreshold'		, \
	mci32Message,			'mci32Message'			, \
	mciDriverNotify,		'mciDriverNotify'		, \
	mciDriverYield, 		'mciDriverYield'		, \
	mciExecute,			'mciExecute'			, \
	mciFreeCommandResource, 	'mciFreeCommandResource'	, \
	mciGetCreatorTask,		'mciGetCreatorTask'		, \
	mciGetDeviceIDA,		'mciGetDeviceIDA'		, \
	mciGetDeviceIDFromElementIDA,	'mciGetDeviceIDFromElementIDA'	, \
	mciGetDeviceIDFromElementIDW,	'mciGetDeviceIDFromElementIDW'	, \
	mciGetDeviceIDW,		'mciGetDeviceIDW'		, \
	mciGetDriverData,		'mciGetDriverData'		, \
	mciGetErrorStringA,		'mciGetErrorStringA'		, \
	mciGetErrorStringW,		'mciGetErrorStringW'		, \
	mciGetYieldProc,		'mciGetYieldProc'		, \
	mciLoadCommandResource, 	'mciLoadCommandResource'	, \
	mciSendCommandA,		'mciSendCommandA'		, \
	mciSendCommandW,		'mciSendCommandW'		, \
	mciSendStringA, 		'mciSendStringA'		, \
	mciSendStringW, 		'mciSendStringW'		, \
	mciSetDriverData,		'mciSetDriverData'		, \
	mciSetYieldProc,		'mciSetYieldProc'		, \
	mid32Message,			'mid32Message'			, \
	midiConnect,			'midiConnect'			, \
	midiDisconnect, 		'midiDisconnect'		, \
	midiInAddBuffer,		'midiInAddBuffer'		, \
	midiInClose,			'midiInClose'			, \
	midiInGetDevCapsA,		'midiInGetDevCapsA'		, \
	midiInGetDevCapsW,		'midiInGetDevCapsW'		, \
	midiInGetErrorTextA,		'midiInGetErrorTextA'		, \
	midiInGetErrorTextW,		'midiInGetErrorTextW'		, \
	midiInGetID,			'midiInGetID'			, \
	midiInGetNumDevs,		'midiInGetNumDevs'		, \
	midiInMessage,			'midiInMessage' 		, \
	midiInOpen,			'midiInOpen'			, \
	midiInPrepareHeader,		'midiInPrepareHeader'		, \
	midiInReset,			'midiInReset'			, \
	midiInStart,			'midiInStart'			, \
	midiInStop,			'midiInStop'			, \
	midiInUnprepareHeader,		'midiInUnprepareHeader' 	, \
	midiOutCacheDrumPatches,	'midiOutCacheDrumPatches'	, \
	midiOutCachePatches,		'midiOutCachePatches'		, \
	midiOutClose,			'midiOutClose'			, \
	midiOutGetDevCapsA,		'midiOutGetDevCapsA'		, \
	midiOutGetDevCapsW,		'midiOutGetDevCapsW'		, \
	midiOutGetErrorTextA,		'midiOutGetErrorTextA'		, \
	midiOutGetErrorTextW,		'midiOutGetErrorTextW'		, \
	midiOutGetID,			'midiOutGetID'			, \
	midiOutGetNumDevs,		'midiOutGetNumDevs'		, \
	midiOutGetVolume,		'midiOutGetVolume'		, \
	midiOutLongMsg, 		'midiOutLongMsg'		, \
	midiOutMessage, 		'midiOutMessage'		, \
	midiOutOpen,			'midiOutOpen'			, \
	midiOutPrepareHeader,		'midiOutPrepareHeader'		, \
	midiOutReset,			'midiOutReset'			, \
	midiOutSetVolume,		'midiOutSetVolume'		, \
	midiOutShortMsg,		'midiOutShortMsg'		, \
	midiOutUnprepareHeader, 	'midiOutUnprepareHeader'	, \
	midiStreamClose,		'midiStreamClose'		, \
	midiStreamOpen, 		'midiStreamOpen'		, \
	midiStreamOut,			'midiStreamOut' 		, \
	midiStreamPause,		'midiStreamPause'		, \
	midiStreamPosition,		'midiStreamPosition'		, \
	midiStreamProperty,		'midiStreamProperty'		, \
	midiStreamRestart,		'midiStreamRestart'		, \
	midiStreamStop, 		'midiStreamStop'		, \
	mixerClose,			'mixerClose'			, \
	mixerGetControlDetailsA,	'mixerGetControlDetailsA'	, \
	mixerGetControlDetailsW,	'mixerGetControlDetailsW'	, \
	mixerGetDevCapsA,		'mixerGetDevCapsA'		, \
	mixerGetDevCapsW,		'mixerGetDevCapsW'		, \
	mixerGetID,			'mixerGetID'			, \
	mixerGetLineControlsA,		'mixerGetLineControlsA' 	, \
	mixerGetLineControlsW,		'mixerGetLineControlsW' 	, \
	mixerGetLineInfoA,		'mixerGetLineInfoA'		, \
	mixerGetLineInfoW,		'mixerGetLineInfoW'		, \
	mixerGetNumDevs,		'mixerGetNumDevs'		, \
	mixerMessage,			'mixerMessage'			, \
	mixerOpen,			'mixerOpen'			, \
	mixerSetControlDetails, 	'mixerSetControlDetails'	, \
	mmDrvInstall,			'mmDrvInstall'			, \
	mmGetCurrentTask,		'mmGetCurrentTask'		, \
	mmioAdvance,			'mmioAdvance'			, \
	mmioAscend,			'mmioAscend'			, \
	mmioClose,			'mmioClose'			, \
	mmioCreateChunk,		'mmioCreateChunk'		, \
	mmioDescend,			'mmioDescend'			, \
	mmioFlush,			'mmioFlush'			, \
	mmioGetInfo,			'mmioGetInfo'			, \
	mmioInstallIOProcA,		'mmioInstallIOProcA'		, \
	mmioInstallIOProcW,		'mmioInstallIOProcW'		, \
	mmioOpenA,			'mmioOpenA'			, \
	mmioOpenW,			'mmioOpenW'			, \
	mmioRead,			'mmioRead'			, \
	mmioRenameA,			'mmioRenameA'			, \
	mmioRenameW,			'mmioRenameW'			, \
	mmioSeek,			'mmioSeek'			, \
	mmioSendMessage,		'mmioSendMessage'		, \
	mmioSetBuffer,			'mmioSetBuffer' 		, \
	mmioSetInfo,			'mmioSetInfo'			, \
	mmioStringToFOURCCA,		'mmioStringToFOURCCA'		, \
	mmioStringToFOURCCW,		'mmioStringToFOURCCW'		, \
	mmioWrite,			'mmioWrite'			, \
	mmsystemGetVersion,		'mmsystemGetVersion'		, \
	mmTaskBlock,			'mmTaskBlock'			, \
	mmTaskCreate,			'mmTaskCreate'			, \
	mmTaskSignal,			'mmTaskSignal'			, \
	mmTaskYield,			'mmTaskYield'			, \
	mod32Message,			'mod32Message'			, \
	mxd32Message,			'mxd32Message'			, \
	NotifyCallbackData,		'NotifyCallbackData'		, \
	OpenDriver,			'OpenDriver'			, \
	PlaySound,			'PlaySound'			, \
	\;PlaySoundA,'PlaySoundA',\
	PlaySoundA,			'PlaySoundA'			, \
	PlaySoundW,			'PlaySoundW'			, \
	SendDriverMessage,		'SendDriverMessage'		, \
	sndPlaySoundA,			'sndPlaySoundA' 		, \
	sndPlaySoundW,			'sndPlaySoundW' 		, \
	tid32Message,			'tid32Message'			, \
	timeBeginPeriod,		'timeBeginPeriod'		, \
	timeEndPeriod,			'timeEndPeriod' 		, \
	timeGetDevCaps, 		'timeGetDevCaps'		, \
	timeGetSystemTime,		'timeGetSystemTime'		, \
	timeGetTime,			'timeGetTime'			, \
	timeKillEvent,			'timeKillEvent' 		, \
	timeSetEvent,			'timeSetEvent'			, \
	waveInAddBuffer,		'waveInAddBuffer'		, \
	waveInClose,			'waveInClose'			, \
	waveInGetDevCapsA,		'waveInGetDevCapsA'		, \
	waveInGetDevCapsW,		'waveInGetDevCapsW'		, \
	waveInGetErrorTextA,		'waveInGetErrorTextA'		, \
	waveInGetErrorTextW,		'waveInGetErrorTextW'		, \
	waveInGetID,			'waveInGetID'			, \
	waveInGetNumDevs,		'waveInGetNumDevs'		, \
	waveInGetPosition,		'waveInGetPosition'		, \
	waveInMessage,			'waveInMessage' 		, \
	waveInOpen,			'waveInOpen'			, \
	waveInPrepareHeader,		'waveInPrepareHeader'		, \
	waveInReset,			'waveInReset'			, \
	waveInStart,			'waveInStart'			, \
	waveInStop,			'waveInStop'			, \
	waveInUnprepareHeader,		'waveInUnprepareHeader' 	, \
	waveOutBreakLoop,		'waveOutBreakLoop'		, \
	waveOutClose,			'waveOutClose'			, \
	waveOutGetDevCapsA,		'waveOutGetDevCapsA'		, \
	waveOutGetDevCapsW,		'waveOutGetDevCapsW'		, \
	waveOutGetErrorTextA,		'waveOutGetErrorTextA'		, \
	waveOutGetErrorTextW,		'waveOutGetErrorTextW'		, \
	waveOutGetID,			'waveOutGetID'			, \
	waveOutGetNumDevs,		'waveOutGetNumDevs'		, \
	waveOutGetPitch,		'waveOutGetPitch'		, \
	waveOutGetPlaybackRate, 	'waveOutGetPlaybackRate'	, \
	waveOutGetPosition,		'waveOutGetPosition'		, \
	waveOutGetVolume,		'waveOutGetVolume'		, \
	waveOutMessage, 		'waveOutMessage'		, \
	waveOutOpen,			'waveOutOpen'			, \
	waveOutPause,			'waveOutPause'			, \
	waveOutPrepareHeader,		'waveOutPrepareHeader'		, \
	waveOutReset,			'waveOutReset'			, \
	waveOutRestart, 		'waveOutRestart'		, \
	waveOutSetPitch,		'waveOutSetPitch'		, \
	waveOutSetPlaybackRate, 	'waveOutSetPlaybackRate'	, \
	waveOutSetVolume,		'waveOutSetVolume'		, \
	waveOutUnprepareHeader, 	'waveOutUnprepareHeader'	, \
	waveOutWrite,			'waveOutWrite'			, \
	wid32Message,			'wid32Message'			, \
	wod32Message,			'wod32Message'			, \
	WOW32DriverCallback,		'WOW32DriverCallback'		, \
	WOW32ResolveMultiMediaHandle,	'WOW32ResolveMultiMediaHandle'	, \
	WOWAppExit,			'WOWAppExit'

api	auxGetDevCaps,\
	joyGetDevCaps,\
	mciGetDeviceID,\
	mciGetDeviceIDFromElementID,\
	mciGetErrorString,\
	mciSendCommand,\
	mciSendString,\
	midiInGetDevCaps,\
	midiInGetErrorText,\
	midiOutGetDevCaps,\
	midiOutGetErrorText,\
	mixerGetControlDetails,\
	mixerGetDevCaps,\
	mixerGetLineControls,\
	mixerGetLineInfo,\
	mmioInstallIOProc,\
	mmioOpen,\
	mmioRename,\
	mmioStringToFOURCC,\
	PlaySound,\
	sndPlaySound,\
	waveInGetDevCaps,\
	waveInGetErrorText,\
	waveOutGetDevCaps,\
	waveOutGetErrorText