
; COMCTL32.DLL structures

struct PROPSHEETPAGE
  dwSize      dd ?
  dwFlags     dd ?
  hInstance   dd ?
  pszTemplate dd ?
  pszIcon     dd ?
  pszTitle    dd ?
  pfnDlgProc  dd ?
  lParam      dd ?
  pfnCallback dd ?
  pcRefParent dd ?
ends

struct PROPSHEETHEADER
  dwSize      dd ?
  dwFlags     dd ?
  hwndParent  dd ?
  hInstance   dd ?
  pszIcon     dd ?
  pszCaption  dd ?
  nPages      dd ?
  pStartPage  dd ?
  ppsp	      dd ?
  pfnCallback dd ?
ends

struct IMAGEINFO
  hbmImage dd ?
  hbmMask  dd ?
  Unused1  dd ?
  Unused2  dd ?
  rcImage  RECT
ends

struct HD_ITEM
  mask	     dd ?
  cxy	     dd ?
  pszText    dd ?
  hbm	     dd ?
  cchTextMax dd ?
  fmt	     dd ?
  lParam     dd ?
ends

struct HD_LAYOUT
  prc	dd ?
  pwpos dd ?
ends

struct HD_HITTESTINFO
  pt	POINT
  flags dd ?
  iItem dd ?
ends

struct HD_NOTIFY
  hdr	  NMHDR
  iItem   dd ?
  iButton dd ?
  pitem   dd ?
ends

struct TBBUTTON
  iBitmap   dd ?
  idCommand dd ?
  fsState   db ?
  fsStyle   db ?
	    dw ?
  dwData    dd ?
  iString   dd ?
ends

struct COLORMAP
  from dd ?
  to   dd ?
ends

struct TBADDBITMAP
  hInst dd ?
  nID	dd ?
ends

struct TBSAVEPARAMS
  hkr	       dd ?
  pszSubKey    dd ?
  pszValueName dd ?
ends

struct TBREPLACEBITMAP
  hInstOld dd ?
  nIDOld   dd ?
  hInstNew dd ?
  nIDNew   dd ?
  nButtons dd ?
ends

struct NMTOOLBAR
  hdr	   NMHDR
  iItem    dd ?
  tbButton TBBUTTON
  cchText  dd ?
  pszText  dd ?
ends

struct REBARINFO
  cbSize dd ?
  fMask  dd ?
  himl	 dd ?
ends

struct REBARBANDINFO
  cbSize      dd ?
  fMask       dd ?
  fStyle      dd ?
  clrFore     dd ?
  clrBack     dd ?
  lpText      dd ?
  cch	      dd ?
  iImage      dd ?
  hwndChild   dd ?
  cxMinChild  dd ?
  cyMinChild  dd ?
  cx	      dd ?
  hbmBack     dd ?
  wID	      dd ?
ends

struct TOOLINFO
  cbSize   dd ?
  uFlags   dd ?
  hwnd	   dd ?
  uId	   dd ?
  rect	   RECT
  hInst    dd ?
  lpszText dd ?
ends

struct TTHITTESTINFO
  hwnd dd ?
  pt   POINT
  ti   TOOLINFO
ends

struct TOOLTIPTEXT
  hdr	   NMHDR
  lpszText dd ?
  szText   db 80 dup (?)
  hinst    dd ?
  uFlags   dd ?
ends

struct UDACCEL
  nSec dd ?
  nInc dd ?
ends

struct NM_UPDOWN
  hdr	 NMHDR
  iPos	 dd ?
  iDelta dd ?
ends

struct LV_ITEM
  mask	     dd ?
  iItem      dd ?
  iSubItem   dd ?
  state      dd ?
  stateMask  dd ?
  pszText    dd ?
  cchTextMax dd ?
  iImage     dd ?
  lParam     dd ?
  iIndent    dd ?
ends

struct LV_FINDINFO
  flags       dd ?
  psz	      dd ?
  lParam      dd ?
  pt	      POINT
  vkDirection dd ?
ends

struct LV_HITTESTINFO
  pt	POINT
  flags dd ?
  iItem dd ?
ends

struct LV_COLUMN
  mask	     dd ?
  fmt	     dd ?
  cx	     dd ?
  pszText    dd ?
  cchTextMax dd ?
  iSubItem   dd ?
ends

struct NM_LISTVIEW
  hdr	    NMHDR
  iItem     dd ?
  iSubItem  dd ?
  uNewState dd ?
  uOldState dd ?
  uChanged  dd ?
  ptAction  POINT
  lParam    dd ?
ends

struct NM_CACHEHINT
  hdr	NMHDR
  iFrom dd ?
  iTo	dd ?
ends

struct NM_FINDITEM
  hdr	 NMHDR
  iStart dd ?
  lvfi	 LV_FINDINFO
ends

struct LV_DISPINFO
  hdr  NMHDR
  item LV_ITEM
ends

struct LV_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct TV_ITEM
  mask		 dd ?
  hItem 	 dd ?
  state 	 dd ?
  stateMask	 dd ?
  pszText	 dd ?
  cchTextMax	 dd ?
  iImage	 dd ?
  iSelectedImage dd ?
  cChildren	 dd ?
  lParam	 dd ?
ends

struct TV_INSERTSTRUCT
  hParent      dd ?
  hInsertAfter dd ?
  item	       TV_ITEM
ends

struct TV_HITTESTINFO
  pt	POINT
  flags dd ?
  hItem dd ?
ends

struct TV_SORTCB
  hParent     dd ?
  lpfnCompare dd ?
  lParam      dd ?
ends

struct NM_TREEVIEW
  hdr	  NMHDR
  action  dd ?
  itemOld TV_ITEM
  itemNew TV_ITEM
  ptDrag  POINT
ends

struct TV_DISPINFO
  hdr  NMHDR
  item TV_ITEM
ends

struct TV_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct TC_ITEMHEADER
  mask	      dd ?
  lpReserved1 dd ?
  lpReserved2 dd ?
  pszText     dd ?
  cchTextMax  dd ?
  iImage      dd ?
ends

struct TC_ITEM
  mask	      dd ?
  lpReserved1 dd ?
  lpReserved2 dd ?
  pszText     dd ?
  cchTextMax  dd ?
  iImage      dd ?
  lParam      dd ?
ends

struct TC_HITTESTINFO
  pt	POINT
  flags dd ?
ends

struct TC_KEYDOWN
  hdr	NMHDR
  wVKey dw ?
  flags dd ?
ends

struct MC_HITTESTINFO
  cbSize dd ?
  pt	 POINT
  uHit	 dd ?
  st	 SYSTEMTIME
ends

struct NM_SELCHANGE
  nmhdr      NMHDR
  stSelStart SYSTEMTIME
  stSelEnd   SYSTEMTIME
ends

struct NM_DAYSTATE
  nmhdr       NMHDR
  stStart     SYSTEMTIME
  cDayState   dd ?
  prgDayState dd ?
ends

struct NM_DATETIMECHANGE
  nmhdr   NMHDR
  dwFlags dd ?
  st	  SYSTEMTIME
ends

struct NM_DATETIMESTRING
  nmhdr 	NMHDR
  pszUserString dd ?
  st		SYSTEMTIME
  dwFlags	dd ?
ends

struct NM_DATETIMEWMKEYDOWN
  nmhdr     NMHDR
  nVirtKey  dd ?
  pszFormat dd ?
  st	    SYSTEMTIME
ends

struct NM_DATETIMEFORMAT
  nmhdr      NMHDR
  pszFormat  dd ?
  st	     SYSTEMTIME
  pszDisplay dd ?
  szDisplay  db 64 dup (?)
ends

struct NM_DATETIMEFORMATQUERY
  nmhdr     NMHDR
  pszFormat dd ?
  szMax     SIZE
ends

struct INITCOMMONCONTROLSEX
  dwSize dd ?
  dwICC  dd ?
ends