
; USER32.DLL structures

struct WNDCLASS
  style 	dd ?
  lpfnWndProc	dd ?
  cbClsExtra	dd ?
  cbWndExtra	dd ?
  hInstance	dd ?
  hIcon 	dd ?
  hCursor	dd ?
  hbrBackground dd ?
  lpszMenuName	dd ?
  lpszClassName dd ?
ends

struct WNDCLASSEX
  cbSize	dd ?
  style 	dd ?
  lpfnWndProc	dd ?
  cbClsExtra	dd ?
  cbWndExtra	dd ?
  hInstance	dd ?
  hIcon 	dd ?
  hCursor	dd ?
  hbrBackground dd ?
  lpszMenuName	dd ?
  lpszClassName dd ?
  hIconSm	dd ?
ends

struct CREATESTRUCT
  lpCreateParams dd ?
  hInstance	 dd ?
  hMenu 	 dd ?
  hwndParent	 dd ?
  cy		 dd ?
  cx		 dd ?
  y		 dd ?
  x		 dd ?
  style 	 dd ?
  lpszName	 dd ?
  lpszClass	 dd ?
  dwExStyle	 dd ?
ends

struct CLIENTCREATESTRUCT
  hWindowMenu  dd ?
  idFirstChild dd ?
ends

struct MDICREATESTRUCT
  szClass dd ?
  szTitle dd ?
  hOwner  dd ?
  x	  dd ?
  y	  dd ?
  cx	  dd ?
  cy	  dd ?
  style   dd ?
  lParam  dd ?
ends

struct SCROLLINFO
  cbSize    dd ?
  fMask     dd ?
  nMin	    dd ?
  nMax	    dd ?
  nPage     dd ?
  nPos	    dd ?
  nTrackPos dd ?
ends

struct MSG
  hwnd	  dd ?
  message dd ?
  wParam  dd ?
  lParam  dd ?
  time	  dd ?
  pt	  POINT
ends

struct MINMAXINFO
  ptReserved	 POINT
  ptMaxSize	 POINT
  ptMaxPosition  POINT
  ptMinTrackSize POINT
  ptMaxTrackSize POINT
ends

struct WINDOWPLACEMENT
  length	   dd ?
  flags 	   dd ?
  showCmd	   dd ?
  ptMinPosition    POINT
  ptMaxPosition    POINT
  rcNormalPosition RECT
ends

struct WINDOWPOS
  hwnd		  dd ?
  hwndInsertAfter dd ?
  x		  dd ?
  y		  dd ?
  cx		  dd ?
  cy		  dd ?
  flags 	  dd ?
ends

struct NMHDR
  hwndFrom dd ?
  idFrom   dd ?
  code	   dd ?
ends

struct COPYDATASTRUCT
  dwData dd ?
  cbData dd ?
  lpData dd ?
ends

struct ACCEL
  fVirt dw ?
  key	dw ?
  cmd	dw ?
ends

struct PAINTSTRUCT
  hdc	      dd ?
  fErase      dd ?
  rcPaint     RECT
  fRestore    dd ?
  fIncUpdate  dd ?
  rgbReserved db 32 dup (?)
ends

struct DRAWTEXTPARAMS
  cbSize	dd ?
  iTabLength	dd ?
  iLeftMargin	dd ?
  iRightMargin	dd ?
  uiLengthDrawn dd ?
ends

struct DRAWITEMSTRUCT
  CtlType    dd ?
  CtlID      dd ?
  itemID     dd ?
  itemAction dd ?
  itemState  dd ?
  hwndItem   dd ?
  hDC	     dd ?
  rcItem     RECT
  itemData   dd ?
ends

struct MENUITEMINFO
  cbSize	dd ?
  fMask 	dd ?
  fType 	dd ?
  fState	dd ?
  wID		dd ?
  hSubMenu	dd ?
  hbmpChecked	dd ?
  hbmpUnchecked dd ?
  dwItemData	dd ?
  dwTypeData	dd ?
  cch		dd ?
ends

struct MEASUREITEMSTRUCT
  CtlType    dd ?
  CtlID      dd ?
  itemID     dd ?
  itemWidth  dd ?
  itemHeight dd ?
  itemData   dd ?
ends

struct MSGBOXPARAMS
  cbSize	     dd ?
  hwndOwner	     dd ?
  hInstance	     dd ?
  lpszText	     dd ?
  lpszCaption	     dd ?
  dwStyle	     dd ?
  lpszIcon	     dd ?
  dwContextHelpId    dd ?
  lpfnMsgBoxCallback dd ?
  dwLanguageId	     dd ?
ends

struct GESTURECONFIG
  dwID	  dd ?
  dwWant  dd ?
  dwBlock dd ?
ends

struct GESTUREINFO
  cbSize       dd ?
  dwFlags      dd ?
  dwID	       dd ?
  hwndTarget   dd ?
  ptsLocation  POINTS
  dwInstanceID dd ?
  dwSequenceID dd ?,?
  ullArguments dq ?
  cbExtraArgs  dd ?,?
ends