
; COMDLG32.DLL structures

struct OPENFILENAME
  lStructSize	    dd ?,?
  hwndOwner	    dq ?
  hInstance	    dq ?
  lpstrFilter	    dq ?
  lpstrCustomFilter dq ?
  nMaxCustFilter    dd ?
  nFilterIndex	    dd ?
  lpstrFile	    dq ?
  nMaxFile	    dd ?,?
  lpstrFileTitle    dq ?
  nMaxFileTitle     dd ?,?
  lpstrInitialDir   dq ?
  lpstrTitle	    dq ?
  Flags 	    dd ?
  nFileOffset	    dw ?
  nFileExtension    dw ?
  lpstrDefExt	    dq ?
  lCustData	    dd ?,?
  lpfnHook	    dq ?
  lpTemplateName    dq ?
ends

struct CHOOSECOLOR
  lStructSize	 dd ?,?
  hwndOwner	 dq ?
  hInstance	 dq ?
  rgbResult	 dd ?,?
  lpCustColors	 dq ?
  Flags 	 dd ?
  lCustData	 dd ?,?
  lpfnHook	 dq ?
  lpTemplateName dq ?
ends

struct FINDREPLACE
  lStructSize	   dd ?,?
  hwndOwner	   dq ?
  hInstance	   dq ?
  Flags 	   dd ?,?
  lpstrFindWhat    dq ?
  lpstrReplaceWith dq ?
  wFindWhatLen	   dw ?
  wReplaceWithLen  dw ?
  lCustData	   dd ?
  lpfnHook	   dq ?
  lpTemplateName   dq ?
ends

struct CHOOSEFONT
  lStructSize	 dd ?,?
  hwndOwner	 dq ?
  hDC		 dq ?
  lpLogFont	 dq ?
  iPointSize	 dd ?
  Flags 	 dd ?
  rgbColors	 dd ?
  lCustData	 dd ?
  lpfnHook	 dq ?
  lpTemplateName dq ?
  hInstance	 dq ?
  lpszStyle	 dq ?
  nFontType	 dw ?
  wReserved	 dw ?
  nSizeMin	 dd ?
  nSizeMax	 dd ?
ends

struct PRINTDLG
  lStructSize	      dd ?,?
  hwndOwner	      dq ?
  hDevMode	      dq ?
  hDevNames	      dq ?
  hDC		      dq ?
  Flags 	      dd ?
  nFromPage	      dw ?
  nToPage	      dw ?
  nMinPage	      dw ?
  nMaxPage	      dw ?
  nCopies	      dw ?,?
  hInstance	      dq ?
  lCustData	      dd ?,?
  lpfnPrintHook       dq ?
  lpfnSetupHook       dq ?
  lpPrintTemplateName dq ?
  lpSetupTemplateName dq ?
  hPrintTemplate      dq ?
  hSetupTemplate      dq ?
ends

struct DEVNAMES
  wDriverOffset dw ?
  wDeviceOffset dw ?
  wOutputOffset dw ?
  wDefault	dw ?
ends

struct PAGESETUPDLG
  lStructSize		  dd ?,?
  hwndOwner		  dq ?
  hDevMode		  dq ?
  hDevNames		  dq ?
  Flags 		  dd ?
  ptPaperSize		  POINT
  rtMinMargin		  RECT
  rtMargin		  RECT
			  dd ?
  hInstance		  dq ?
  lCustData		  dd ?,?
  lpfnPageSetupHook	  dq ?
  lpfnPagePaintHook	  dq ?
  lpPageSetupTemplateName dq ?
  hPageSetupTemplate	  dq ?
ends