
; USER32.DLL structures

struct WNDCLASS
  style 	dd ?,?
  lpfnWndProc	dq ?
  cbClsExtra	dd ?
  cbWndExtra	dd ?
  hInstance	dq ?
  hIcon 	dq ?
  hCursor	dq ?
  hbrBackground dq ?
  lpszMenuName	dq ?
  lpszClassName dq ?
ends

struct WNDCLASSEX
  cbSize	dd ?
  style 	dd ?
  lpfnWndProc	dq ?
  cbClsExtra	dd ?
  cbWndExtra	dd ?
  hInstance	dq ?
  hIcon 	dq ?
  hCursor	dq ?
  hbrBackground dq ?
  lpszMenuName	dq ?
  lpszClassName dq ?
  hIconSm	dq ?
ends

struct CREATESTRUCT
  lpCreateParams dq ?
  hInstance	 dq ?
  hMenu 	 dq ?
  hwndParent	 dq ?
  cy		 dd ?
  cx		 dd ?
  y		 dd ?
  x		 dd ?
  style 	 dd ?,?
  lpszName	 dq ?
  lpszClass	 dq ?
  dwExStyle	 dd ?,?
ends

struct CLIENTCREATESTRUCT
  hWindowMenu  dq ?
  idFirstChild dd ?
ends

struct MDICREATESTRUCT
  szClass dq ?
  szTitle dq ?
  hOwner  dq ?
  x	  dd ?
  y	  dd ?
  cx	  dd ?
  cy	  dd ?
  style   dd ?
  lParam  dd ?
ends

struct SCROLLINFO
  cbSize    dd ?
  fMask     dd ?
  nMin	    dd ?
  nMax	    dd ?
  nPage     dd ?
  nPos	    dd ?
  nTrackPos dd ?
ends

struct MSG
  hwnd	  dq ?
  message dd ?,?
  wParam  dq ?
  lParam  dq ?
  time	  dd ?
  pt	  POINT
	  dd ?
ends

struct MINMAXINFO
  ptReserved	 POINT
  ptMaxSize	 POINT
  ptMaxPosition  POINT
  ptMinTrackSize POINT
  ptMaxTrackSize POINT
ends

struct WINDOWPLACEMENT
  length	   dd ?
  flags 	   dd ?
  showCmd	   dd ?
  ptMinPosition    POINT
  ptMaxPosition    POINT
  rcNormalPosition RECT
ends

struct WINDOWPOS
  hwnd		  dq ?
  hwndInsertAfter dq ?
  x		  dd ?
  y		  dd ?
  cx		  dd ?
  cy		  dd ?
  flags 	  dd ?
ends

struct NMHDR
  hwndFrom dq ?
  idFrom   dq ?
  code	   dd ?,?
ends

struct COPYDATASTRUCT
  dwData dq ?
  cbData dd ?
  lpData dq ?
ends

struct ACCEL
  fVirt dw ?
  key	dw ?
  cmd	dw ?
ends

struct PAINTSTRUCT
  hdc	      dq ?
  fErase      dd ?
  rcPaint     RECT
  fRestore    dd ?
  fIncUpdate  dd ?
  rgbReserved db 36 dup (?)
ends

struct DRAWTEXTPARAMS
  cbSize	dd ?
  iTabLength	dd ?
  iLeftMargin	dd ?
  iRightMargin	dd ?
  uiLengthDrawn dd ?,?
ends

struct DRAWITEMSTRUCT
  CtlType    dd ?
  CtlID      dd ?
  itemID     dd ?
  itemAction dd ?
  itemState  dd ?,?
  hwndItem   dq ?
  hDC	     dq ?
  rcItem     RECT
  itemData   dd ?,?
ends

struct MENUITEMINFO
  cbSize	dd ? 
  fMask 	dd ? 
  fType 	dd ? 
  fState	dd ? 
  wID		dd ?,? 
  hSubMenu	dq ? 
  hbmpChecked	dq ? 
  hbmpUnchecked dq ? 
  dwItemData	dq ? 
  dwTypeData	dq ? 
  cch		dd ?,? 
  hbmpItem	dq ? 
ends

struct MEASUREITEMSTRUCT
  CtlType    dd ?
  CtlID      dd ?
  itemID     dd ?
  itemWidth  dd ?
  itemHeight dd ?
  itemData   dq ?
ends

struct MSGBOXPARAMS
  cbSize	     dd ?,?
  hwndOwner	     dq ?
  hInstance	     dq ?
  lpszText	     dd ?
  lpszCaption	     dd ?
  dwStyle	     dd ?,?
  lpszIcon	     dq ?
  dwContextHelpId    dd ?,?
  lpfnMsgBoxCallback dq ?
  dwLanguageId	     dd ?,?
ends

struct GESTURECONFIG
  dwID	  dd ?
  dwWant  dd ?
  dwBlock dd ?
ends

struct GESTUREINFO
  cbSize       dd ?
  dwFlags      dd ?
  dwID	       dd ?
  hwndTarget   dd ?
  ptsLocation  POINTS
  dwInstanceID dd ?
  dwSequenceID dd ?,?
  ullArguments dq ?
  cbExtraArgs  dd ?,?
ends